package com.apicloud.a.i.a.af;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Typeface;
import android.support.v4.view.ViewCompat;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.view.View;
import com.apicloud.a.i.a.g.k;

public class d extends View implements k {
    private static final int[] a = {16842804};
    private static final int[] b = {16842901, 16842902, 16842903, 16842904};
    private TextPaint c;
    private CharSequence d;
    private int e;
    private ColorStateList f;
    private int g;
    private DisplayMetrics h;
    private Layout.Alignment i = Layout.Alignment.ALIGN_NORMAL;
    private StaticLayout j;
    private int k;
    private int l = Integer.MAX_VALUE;

    public d(Context context) {
        super(context);
        a(context);
    }

    private void a(Context context) {
        ColorStateList colorStateList;
        int i2;
        int i3;
        this.h = getResources().getDisplayMetrics();
        TextPaint textPaint = new TextPaint(1);
        this.c = textPaint;
        textPaint.density = this.h.density;
        this.c.setDither(true);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(a);
        int i4 = -1;
        int resourceId = obtainStyledAttributes.getResourceId(0, -1);
        obtainStyledAttributes.recycle();
        Typeface typeface = null;
        TypedArray obtainStyledAttributes2 = resourceId != -1 ? context.obtainStyledAttributes(resourceId, b) : null;
        if (obtainStyledAttributes2 != null) {
            int indexCount = obtainStyledAttributes2.getIndexCount();
            colorStateList = null;
            i3 = -1;
            i2 = 15;
            for (int i5 = 0; i5 < indexCount; i5++) {
                int index = obtainStyledAttributes2.getIndex(i5);
                if (index == 0) {
                    i2 = obtainStyledAttributes.getDimensionPixelSize(index, i2);
                } else if (index == 1) {
                    i4 = obtainStyledAttributes.getInt(index, i4);
                } else if (index == 2) {
                    i3 = obtainStyledAttributes.getInt(index, i3);
                } else if (index == 3) {
                    colorStateList = obtainStyledAttributes.getColorStateList(index);
                }
            }
            obtainStyledAttributes2.recycle();
        } else {
            colorStateList = null;
            i3 = -1;
            i2 = 15;
        }
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(ViewCompat.MEASURED_STATE_MASK);
        }
        a(colorStateList);
        b((float) i2);
        if (i4 == 1) {
            typeface = Typeface.SANS_SERIF;
        } else if (i4 == 2) {
            typeface = Typeface.SERIF;
        } else if (i4 == 3) {
            typeface = Typeface.MONOSPACE;
        }
        a(typeface, i3);
    }

    private void b(float f2) {
        if (f2 != this.c.getTextSize()) {
            this.c.setTextSize(f2);
            g();
        }
    }

    private boolean b(int[] iArr) {
        boolean z;
        int colorForState = this.f.getColorForState(iArr, 0);
        if (colorForState != this.g) {
            this.g = colorForState;
            this.c.setColor(colorForState);
            z = true;
        } else {
            z = false;
        }
        if (!z) {
            return false;
        }
        invalidate();
        return true;
    }

    private int c(int i2) {
        int i3;
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == 1073741824) {
            return size;
        }
        StaticLayout staticLayout = this.j;
        if (staticLayout != null) {
            i3 = staticLayout.getWidth();
        } else {
            TextPaint textPaint = this.c;
            CharSequence charSequence = this.d;
            i3 = (int) textPaint.measureText(charSequence, 0, charSequence.length());
        }
        int paddingLeft = i3 + getPaddingLeft() + getPaddingRight();
        return mode == Integer.MIN_VALUE ? Math.min(paddingLeft, size) : paddingLeft;
    }

    private int d(int i2) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int ascent = (int) this.c.ascent();
        this.e = ascent;
        if (mode == 1073741824) {
            return size;
        }
        StaticLayout staticLayout = this.j;
        int height = (staticLayout != null ? staticLayout.getHeight() : (int) (((float) (-ascent)) + this.c.descent())) + getPaddingTop() + getPaddingBottom();
        return mode == Integer.MIN_VALUE ? Math.min(height, size) : height;
    }

    private void g() {
        CharSequence charSequence = this.d;
    }

    public int a() {
        return this.k;
    }

    public void a(float f2) {
    }

    public void a(float f2, float f3, float f4, int i2) {
    }

    public void a(int i2) {
        this.k = i2;
    }

    public void a(ColorStateList colorStateList) {
        this.f = colorStateList;
        b(getDrawableState());
    }

    public void a(Typeface typeface) {
        if (this.c.getTypeface() != typeface) {
            this.c.setTypeface(typeface);
            g();
        }
    }

    public void a(Typeface typeface, int i2) {
        float f2 = 0.0f;
        boolean z = false;
        if (i2 > 0) {
            Typeface defaultFromStyle = typeface == null ? Typeface.defaultFromStyle(i2) : Typeface.create(typeface, i2);
            a(defaultFromStyle);
            int style = ((defaultFromStyle != null ? defaultFromStyle.getStyle() : 0) ^ -1) & i2;
            TextPaint textPaint = this.c;
            if ((style & 1) != 0) {
                z = true;
            }
            textPaint.setFakeBoldText(z);
            TextPaint textPaint2 = this.c;
            if ((style & 2) != 0) {
                f2 = -0.25f;
            }
            textPaint2.setTextSkewX(f2);
            return;
        }
        this.c.setFakeBoldText(false);
        this.c.setTextSkewX(0.0f);
        a(typeface);
    }

    public void a(TextUtils.TruncateAt truncateAt) {
    }

    public void a(CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = "";
        }
        this.d = charSequence;
        g();
    }

    public void a(String str) {
    }

    public void a(boolean z) {
    }

    /* access modifiers changed from: protected */
    public boolean a(int[] iArr) {
        return b(iArr);
    }

    public int b() {
        StaticLayout staticLayout = this.j;
        if (staticLayout == null) {
            return (int) this.c.getTextSize();
        }
        return a.a((((float) this.c.getFontMetricsInt(null)) * this.j.getSpacingMultiplier()) + staticLayout.getSpacingAdd());
    }

    public void b(int i2) {
    }

    public void b(CharSequence charSequence) {
    }

    public CharSequence c() {
        return this.d;
    }

    public float d() {
        return this.c.getTextSize();
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        a(getDrawableState());
    }

    public Paint e() {
        return this.c;
    }

    public int f() {
        return this.g;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        StaticLayout staticLayout = this.j;
        if (staticLayout != null) {
            staticLayout.draw(canvas);
            return;
        }
        CharSequence charSequence = this.d;
        if (charSequence != null) {
            canvas.drawText(charSequence, 0, charSequence.length(), (float) getPaddingLeft(), (float) (getPaddingTop() - this.e), this.c);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        setMeasuredDimension(c(i2), d(i3));
    }
}
