package com.apicloud.a.i.a.e.c;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapRegionDecoder;
import android.graphics.Color;
import android.graphics.ImageDecoder;
import android.graphics.Rect;
import android.os.Build;
import android.util.Size;
import com.apicloud.a.c.j;
import com.apicloud.a.c.y;
import com.apicloud.a.i.a.e.b;
import com.eclipsesource.v8.V8ArrayBuffer;
import com.eclipsesource.v8.V8TypedArray;
import java.io.IOException;
import java.util.Hashtable;

public final class d implements com.apicloud.a.i.a.g.a {
    final com.apicloud.a.d a;
    private Bitmap b;
    private final Rect c;
    private final Integer d;
    private final Integer e;
    private final a f;

    public enum a {
        PIXELATED("pixelated"),
        LOW("low"),
        MEDIUM("medium"),
        HIGH("high");
        
        private final String e;

        private a(String str) {
            this.e = str;
        }

        public static final a a(String str) {
            a[] values = values();
            for (a aVar : values) {
                if (aVar.e.equals(str)) {
                    return aVar;
                }
            }
            return LOW;
        }
    }

    public d(com.apicloud.a.d dVar, Rect rect, Integer num, Integer num2, a aVar) {
        this.a = dVar;
        this.c = rect;
        this.e = num;
        this.d = num2;
        this.f = aVar;
    }

    private final void a(BitmapFactory.Options options, int i, int i2) {
        int i3 = 1;
        if (options.outHeight > i2 || options.outWidth > i) {
            int i4 = options.outHeight / 2;
            int i5 = options.outWidth / 2;
            while (i4 / i3 >= i2 && i5 / i3 >= i) {
                i3 *= 2;
            }
        }
        options.inSampleSize = i3;
    }

    private final void a(a<Bitmap> aVar, j jVar, j jVar2) {
        new e(this, aVar, jVar).a();
    }

    private final BitmapFactory.Options b(byte[] bArr) {
        BitmapFactory.Options options = new BitmapFactory.Options();
        if (this.f.compareTo((Enum) a.HIGH) < 0) {
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
            options.inJustDecodeBounds = false;
            Size a2 = a(options.outWidth, options.outHeight);
            if (a2 != null) {
                a(options, a2.getWidth(), a2.getHeight());
            }
        }
        return options;
    }

    private final Bitmap d(Bitmap bitmap) {
        Size a2 = a(bitmap.getWidth(), bitmap.getHeight());
        if (a2 == null) {
            return bitmap;
        }
        Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, a2.getWidth(), a2.getHeight(), this.f != a.PIXELATED);
        return createScaledBitmap != null ? createScaledBitmap : bitmap;
    }

    /* access modifiers changed from: package-private */
    public final Bitmap a(ImageDecoder.Source source) {
        try {
            Bitmap decodeBitmap = ImageDecoder.decodeBitmap(source, new c(this));
            return this.f == a.HIGH ? d(decodeBitmap) : decodeBitmap;
        } catch (IOException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public final Bitmap a(byte[] bArr) {
        Bitmap bitmap;
        BitmapFactory.Options b2 = b(bArr);
        if (this.c != null) {
            try {
                bitmap = BitmapRegionDecoder.newInstance(bArr, 0, bArr.length, true).decodeRegion(this.c, b2);
            } catch (IOException e2) {
                e2.printStackTrace();
                return null;
            }
        } else {
            bitmap = BitmapFactory.decodeByteArray(bArr, 0, bArr.length, b2);
        }
        return d(bitmap);
    }

    public final Rect a() {
        return this.c;
    }

    /* access modifiers changed from: package-private */
    public final Size a(int i, int i2) {
        Integer num = this.e;
        if (num == null) {
            Integer num2 = this.d;
            num = num2 == null ? null : Integer.valueOf(Math.round(((float) num2.intValue()) * (((float) i) / ((float) i2))));
        }
        Integer num3 = this.d;
        if (num3 == null) {
            Integer num4 = this.e;
            num3 = num4 == null ? null : Integer.valueOf(Math.round(((float) num4.intValue()) * (((float) i2) / ((float) i))));
        }
        if (num == null || num3 == null) {
            return null;
        }
        return new Size(num.intValue(), num3.intValue());
    }

    public final void a(Bitmap bitmap) {
        this.b = bitmap;
    }

    public final void a(b bVar, j jVar, j jVar2) {
        a(new h(this, bVar), jVar, jVar2);
    }

    public final void a(d dVar, j jVar, j jVar2) {
        a(new i(this, dVar), jVar, jVar2);
    }

    public final void a(V8ArrayBuffer v8ArrayBuffer, j jVar, j jVar2) {
        a(Build.VERSION.SDK_INT >= 28 ? new g(this, ImageDecoder.createSource(y.b(v8ArrayBuffer))) : new f(this, y.a(v8ArrayBuffer)), jVar, jVar2);
    }

    public final void a(V8TypedArray v8TypedArray, int i, int i2, j jVar, j jVar2) {
        try {
            Bitmap createBitmap = Bitmap.createBitmap(i, i2, Bitmap.Config.ARGB_8888);
            int i3 = 0;
            for (int i4 = 0; i4 < i2; i4++) {
                for (int i5 = 0; i5 < i; i5++) {
                    createBitmap.setPixel(i5, i4, Color.argb(v8TypedArray.getInteger(i3 + 3), v8TypedArray.getInteger(i3), v8TypedArray.getInteger(i3 + 1), v8TypedArray.getInteger(i3 + 2)));
                    i3 += 4;
                }
            }
            c(createBitmap);
            this.b = createBitmap;
            Hashtable hashtable = new Hashtable();
            hashtable.put("width", Integer.valueOf(createBitmap.getWidth()));
            hashtable.put("height", Integer.valueOf(createBitmap.getHeight()));
            jVar.b(hashtable);
        } catch (Exception e2) {
            jVar2.b(e2.getMessage());
        }
    }

    /* access modifiers changed from: package-private */
    public final Bitmap b(Bitmap bitmap) {
        if (bitmap != null) {
            return bitmap.copy(bitmap.getConfig(), bitmap.isMutable());
        }
        return null;
    }

    public final a b() {
        return this.f;
    }

    /* access modifiers changed from: package-private */
    public final Bitmap c(Bitmap bitmap) {
        Bitmap createBitmap;
        Rect rect = this.c;
        if (!(rect == null || (createBitmap = Bitmap.createBitmap(bitmap, rect.left, rect.top, rect.width(), rect.height())) == null)) {
            bitmap = createBitmap;
        }
        return d(bitmap);
    }

    public final void c() {
        this.b = null;
    }

    @Override // com.apicloud.a.i.a.g.a
    public final Bitmap e() {
        return this.b;
    }
}
