package com.apicloud.a.i.d.b;

import android.graphics.Bitmap;
import android.graphics.BlurMaskFilter;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.os.Build;
import com.apicloud.a.a.d;
import com.deepe.c.i.m;
import com.deepe.d.a;
import com.deepe.sdk.WebShare;

public class f extends a {
    private float a;
    private float b;
    private float c;
    private float d;
    private int e;
    private Path f;
    private Paint g;
    private RectF h;

    public f() {
    }

    public f(int i) {
        super(i);
    }

    private void a(Canvas canvas) {
        if (o()) {
            canvas.save();
            int k = k();
            float i = i();
            float j = j();
            float p = p();
            Paint l = l();
            Path m = m();
            l.setColor(k);
            if (Build.VERSION.SDK_INT < 26) {
                canvas.clipPath(m, Region.Op.REPLACE);
                canvas.clipRect(g(), Region.Op.REVERSE_DIFFERENCE);
                if (p > 0.0f) {
                    l.setShadowLayer(p, i, j, k);
                    canvas.drawPath(m, l);
                    canvas.restore();
                }
            } else {
                canvas.clipPath(m, Region.Op.DIFFERENCE);
                if (p > 0.0f) {
                    l.setMaskFilter(new BlurMaskFilter(p, BlurMaskFilter.Blur.NORMAL));
                }
            }
            m.offset(i, j);
            canvas.drawPath(m, l);
            canvas.restore();
        }
    }

    public static f b(int i) {
        return Build.VERSION.SDK_INT >= 21 ? new g(i) : new f(i);
    }

    private void b(Canvas canvas) {
        if (o()) {
            Rect bounds = getBounds();
            float r = r();
            float f2 = ((float) bounds.left) - r;
            float f3 = ((float) bounds.top) - r;
            String s = s();
            Bitmap a2 = a(s);
            if (a2 != null) {
                canvas.drawBitmap(a2, f2, f3, (Paint) null);
                return;
            }
            RectF g2 = g();
            try {
                Bitmap createBitmap = Bitmap.createBitmap(Math.round(g2.width()), Math.round(g2.height()), Bitmap.Config.ARGB_8888);
                a(s, createBitmap);
                Canvas canvas2 = new Canvas(createBitmap);
                canvas2.translate(-f2, -f3);
                a(canvas2);
                canvas2.translate(f2, f3);
                canvas.drawBitmap(createBitmap, f2, f3, (Paint) null);
            } catch (Exception unused) {
                a.e("Create shadow layer OOM.");
            }
        }
    }

    public static f h() {
        return Build.VERSION.SDK_INT >= 21 ? new g() : new f();
    }

    private void q() {
        if (this.g == null) {
            Paint paint = new Paint(5);
            this.g = paint;
            paint.setAntiAlias(true);
            this.g.setDither(true);
            this.f = new Path();
            this.h = new RectF();
        }
    }

    private final float r() {
        float p = p();
        return p > ((float) d.d) ? (float) (d.d / 2) : p * 1.3333f;
    }

    private final String s() {
        return m.b((Object) ("shadow-" + getBounds().width() + '-' + getBounds().height() + '-' + this.a + "-" + this.b + '-' + this.c + '-' + this.d + '-' + this.e));
    }

    public final void a(float f2, float f3) {
        if (this.a != f2 || this.b != f3) {
            this.a = f2;
            this.b = f3;
            if (f2 != 0.0f || f3 != 0.0f) {
                q();
            }
        }
    }

    public final void a(float f2, float f3, float f4, int i) {
        a(f2, f3);
        c(f4);
        c(i);
    }

    public final void c(float f2) {
        if (f2 >= 0.0f && this.c != f2) {
            this.c = f2;
            q();
        }
    }

    public final void c(int i) {
        if (this.e != i) {
            this.e = i;
        }
    }

    public final void d(float f2) {
        if (this.d != f2) {
            this.d = f2;
            q();
        }
    }

    @Override // com.apicloud.a.i.d.b.e, com.apicloud.a.i.d.b.a
    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (!com.deepe.c.a.b()) {
            if (Build.VERSION.SDK_INT <= 28) {
                b(canvas);
            } else {
                a(canvas);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.apicloud.a.i.d.b.e
    public RectF g() {
        Rect bounds = getBounds();
        float r = r();
        float i = i();
        float j = j();
        this.h.left = (-i) - r;
        this.h.top = (-j) - r;
        this.h.right = ((float) bounds.width()) + i + r;
        this.h.bottom = ((float) bounds.height()) + j + r;
        return this.h;
    }

    public final float i() {
        return this.a;
    }

    public final float j() {
        return this.b;
    }

    public final int k() {
        return this.e;
    }

    /* access modifiers changed from: package-private */
    public final Paint l() {
        return this.g;
    }

    /* access modifiers changed from: package-private */
    public final Path m() {
        Rect bounds = getBounds();
        int width = bounds.width();
        int height = bounds.height();
        float[] c2 = c();
        float f2 = c2[0];
        float f3 = c2[1];
        float f4 = c2[2];
        float f5 = c2[3];
        float f6 = f2 + f3;
        float f7 = (float) width;
        if (f6 > f7) {
            float f8 = f7 / f6;
            f2 *= f8;
            f3 *= f8;
            f4 *= f8;
            f5 *= f8;
        }
        float f9 = f3 + f4;
        float f10 = (float) height;
        if (f9 > f10) {
            float f11 = f10 / f9;
            f2 *= f11;
            f3 *= f11;
            f4 *= f11;
            f5 *= f11;
        }
        float f12 = f4 + f5;
        if (f12 > f10) {
            float f13 = f7 / f12;
            f2 *= f13;
            f3 *= f13;
            f4 *= f13;
            f5 *= f13;
        }
        float f14 = f2 + f5;
        if (f14 > f10) {
            float f15 = f7 / f14;
            f2 *= f15;
            f3 *= f15;
            f4 *= f15;
            f5 *= f15;
        }
        this.f.rewind();
        float f16 = f2 * 2.0f;
        float f17 = f3 * 2.0f;
        float f18 = f4 * 2.0f;
        float f19 = f5 * 2.0f;
        this.f.arcTo(0.0f, 0.0f, f16, f16, 180.0f, 90.0f, false);
        this.f.arcTo(f7 - f17, 0.0f, f7, f17, -90.0f, 90.0f, false);
        this.f.arcTo(f7 - f18, f10 - f18, f7, f10, 0.0f, 90.0f, false);
        this.f.arcTo(0.0f, f10 - f19, f19, f10, 90.0f, 90.0f, false);
        this.f.close();
        return this.f;
    }

    /* access modifiers changed from: protected */
    public final boolean n() {
        return f() && o();
    }

    /* access modifiers changed from: protected */
    public final boolean o() {
        return (this.g == null && 0.0f == this.a && 0.0f == this.b && 0.0f == p()) ? false : true;
    }

    /* access modifiers changed from: protected */
    public final float p() {
        return Math.max(this.c, this.d);
    }

    public String toString() {
        return (o() ? "shadow-box" : "background") + "@" + Integer.toHexString(hashCode()) + "[" + f() + WebShare.TAG_EXTENDS_END;
    }
}
