package com.apicloud.third.gif;

import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.ThreadPoolExecutor;

/* access modifiers changed from: package-private */
public final class GifRenderingExecutor extends ScheduledThreadPoolExecutor {

    /* access modifiers changed from: private */
    public static final class InstanceHolder {
        private static final GifRenderingExecutor INSTANCE = new GifRenderingExecutor(null);

        private InstanceHolder() {
        }
    }

    private GifRenderingExecutor() {
        super(1, new ThreadPoolExecutor.DiscardPolicy());
    }

    /* synthetic */ GifRenderingExecutor(GifRenderingExecutor gifRenderingExecutor) {
        this();
    }

    static GifRenderingExecutor getInstance() {
        return InstanceHolder.INSTANCE;
    }
}
