package com.arcsoft.face;

public class Face3DAngle {
    float pitch;
    float roll;
    float yaw;

    public Face3DAngle() {
        this.yaw = 0.0f;
        this.roll = 0.0f;
        this.pitch = 0.0f;
    }

    public Face3DAngle(Face3DAngle face3DAngle) {
        if (face3DAngle == null) {
            this.yaw = 0.0f;
            this.roll = 0.0f;
            this.pitch = 0.0f;
            return;
        }
        this.yaw = face3DAngle.getYaw();
        this.roll = face3DAngle.getRoll();
        this.pitch = face3DAngle.getPitch();
    }

    public float getYaw() {
        return this.yaw;
    }

    public float getRoll() {
        return this.roll;
    }

    public float getPitch() {
        return this.pitch;
    }

    public Face3DAngle clone() {
        return new Face3DAngle(this);
    }

    public String toString() {
        return "Face3DAngle{yaw=" + this.yaw + ", roll=" + this.roll + ", pitch=" + this.pitch + '}';
    }
}
