package com.deepe.c.a;

import android.content.ContentResolver;
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.provider.ContactsContract;
import android.provider.MediaStore;
import com.deepe.c.i.d;
import com.deepe.c.i.g;
import com.deepe.c.i.j;
import java.io.Closeable;
import java.io.File;
import java.io.InputStream;
import java.io.OutputStream;

public final class b {

    public static class a {
        public String a;
        public String b;
        public boolean c;
    }

    public static String a(Uri uri) {
        Cursor query = com.deepe.a.f().getContentResolver().query(uri, new String[]{"_data"}, null, null, "date_added DESC");
        String str = null;
        if (query == null) {
            return null;
        }
        try {
            int columnIndexOrThrow = query.getColumnIndexOrThrow("_data");
            query.moveToFirst();
            str = query.getString(columnIndexOrThrow);
            query.close();
            return str;
        } catch (Exception unused) {
            return str;
        }
    }

    public static boolean a(Context context, String str, String str2) {
        InputStream inputStream;
        Throwable th;
        Exception e;
        OutputStream outputStream;
        boolean z = str2 != null && str2.contains("video");
        Uri uri = j.b().equals("mounted") ? z ? MediaStore.Video.Media.EXTERNAL_CONTENT_URI : MediaStore.Images.Media.EXTERNAL_CONTENT_URI : z ? MediaStore.Video.Media.INTERNAL_CONTENT_URI : MediaStore.Images.Media.INTERNAL_CONTENT_URI;
        ContentValues c = z ? c(context, str, str2) : b(context, str, str2);
        ContentResolver contentResolver = context.getContentResolver();
        Uri insert = contentResolver.insert(uri, c);
        if (insert == null) {
            return false;
        }
        OutputStream outputStream2 = null;
        try {
            outputStream = contentResolver.openOutputStream(insert);
            try {
                inputStream = g.c(str);
            } catch (Exception e2) {
                e = e2;
                inputStream = null;
                try {
                    contentResolver.delete(insert, null, null);
                    e.printStackTrace();
                    g.a((Closeable) outputStream);
                    g.a((Closeable) inputStream);
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    outputStream2 = outputStream;
                    g.a((Closeable) outputStream2);
                    g.a((Closeable) inputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                inputStream = null;
                outputStream2 = outputStream;
                g.a((Closeable) outputStream2);
                g.a((Closeable) inputStream);
                throw th;
            }
            try {
                g.a(inputStream, outputStream);
                c.clear();
                c.put("is_pending", (Integer) 0);
                contentResolver.update(insert, c, null, null);
                g.a((Closeable) outputStream);
                g.a((Closeable) inputStream);
                return true;
            } catch (Exception e3) {
                e = e3;
                contentResolver.delete(insert, null, null);
                e.printStackTrace();
                g.a((Closeable) outputStream);
                g.a((Closeable) inputStream);
                return false;
            }
        } catch (Exception e4) {
            e = e4;
            inputStream = null;
            outputStream = null;
            contentResolver.delete(insert, null, null);
            e.printStackTrace();
            g.a((Closeable) outputStream);
            g.a((Closeable) inputStream);
            return false;
        } catch (Throwable th4) {
            th = th4;
            inputStream = null;
            g.a((Closeable) outputStream2);
            g.a((Closeable) inputStream);
            throw th;
        }
    }

    private static ContentValues b(Context context, String str, String str2) {
        if (str2 == null || !str2.contains("image")) {
            str2 = "image/*";
        }
        long currentTimeMillis = System.currentTimeMillis();
        String a2 = j.a(str, null, str2);
        ContentValues contentValues = new ContentValues();
        contentValues.put("_display_name", a2);
        contentValues.put("mime_type", str2);
        contentValues.put("relative_path", String.valueOf(j.b) + File.separator + "Camera");
        contentValues.put("is_pending", (Integer) 1);
        contentValues.put("datetaken", Long.valueOf(currentTimeMillis));
        contentValues.put("date_modified", Long.valueOf(currentTimeMillis));
        contentValues.put("date_added", Long.valueOf(currentTimeMillis));
        return contentValues;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:31:0x00b2, code lost:
        if (com.deepe.c.i.d.a((java.lang.CharSequence) r0) == false) goto L_0x00b6;
     */
    public static a b(Uri uri) {
        String str;
        Cursor cursor;
        Context f = com.deepe.a.f();
        boolean z = false;
        String str2 = "";
        if (uri != null) {
            if (uri != null) {
                ContentResolver contentResolver = f.getContentResolver();
                if (Build.VERSION.SDK_INT < 11) {
                    cursor = contentResolver.query(uri, null, null, null, null);
                } else {
                    String lastPathSegment = uri.getLastPathSegment();
                    cursor = contentResolver.query(uri, new String[]{"_id", "display_name", "data1"}, "_id" + "=?", new String[]{lastPathSegment}, null);
                }
                if (cursor == null || !cursor.moveToFirst()) {
                    str = str2;
                } else {
                    int columnIndex = cursor.getColumnIndex("_id");
                    int columnIndex2 = cursor.getColumnIndex("display_name");
                    int columnIndex3 = cursor.getColumnIndex("data1");
                    String string = columnIndex2 > 0 ? cursor.getString(columnIndex2) : str2;
                    if (columnIndex3 > 0) {
                        str2 = cursor.getString(columnIndex3);
                    } else {
                        String string2 = cursor.getString(columnIndex);
                        Uri uri2 = ContactsContract.CommonDataKinds.Phone.CONTENT_URI;
                        Cursor query = contentResolver.query(uri2, null, "contact_id=" + string2, null, null);
                        if (query != null && query.moveToFirst()) {
                            str2 = query.getString(query.getColumnIndex("data1"));
                        }
                        if (query != null) {
                            query.close();
                        }
                    }
                    str = str2;
                    str2 = string;
                }
                if (cursor != null) {
                    cursor.close();
                }
            } else {
                str = str2;
            }
            if (!d.a((CharSequence) str2)) {
            }
            a aVar = new a();
            aVar.a = str2;
            aVar.b = str;
            aVar.c = z;
            return aVar;
        }
        str = str2;
        z = true;
        a aVar2 = new a();
        aVar2.a = str2;
        aVar2.b = str;
        aVar2.c = z;
        return aVar2;
    }

    private static ContentValues c(Context context, String str, String str2) {
        if (str2 == null || !str2.contains("video")) {
            str2 = "video/*";
        }
        long currentTimeMillis = System.currentTimeMillis();
        String a2 = j.a(str, null, str2);
        ContentValues contentValues = new ContentValues();
        contentValues.put("relative_path", String.valueOf(j.b) + File.separator + "Camera");
        contentValues.put("title", a2);
        contentValues.put("_display_name", a2);
        contentValues.put("mime_type", str2);
        contentValues.put("datetaken", Long.valueOf(currentTimeMillis));
        contentValues.put("date_modified", Long.valueOf(currentTimeMillis));
        contentValues.put("date_added", Long.valueOf(currentTimeMillis));
        return contentValues;
    }
}
