package com.deepe.c.j.c;

import com.deepe.c.j.e.k;
import java.security.KeyStore;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.TrustManager;
import javax.net.ssl.TrustManagerFactory;
import javax.net.ssl.X509TrustManager;

public class d implements X509TrustManager {
    private X509TrustManager a;

    public d(KeyStore keyStore) throws Exception {
        TrustManagerFactory instance = TrustManagerFactory.getInstance("X509");
        instance.init(keyStore);
        TrustManager[] trustManagers = instance.getTrustManagers();
        if (trustManagers.length != 0) {
            this.a = (X509TrustManager) trustManagers[0];
            return;
        }
        throw new NoSuchAlgorithmException("no trust manager found");
    }

    @Override // javax.net.ssl.X509TrustManager
    public void checkClientTrusted(X509Certificate[] x509CertificateArr, String str) throws CertificateException {
        this.a.checkClientTrusted(x509CertificateArr, str);
    }

    @Override // javax.net.ssl.X509TrustManager
    public void checkServerTrusted(X509Certificate[] x509CertificateArr, String str) throws CertificateException {
        int i = 0;
        if (!k.a().b()) {
            if (x509CertificateArr != null) {
                try {
                    if (x509CertificateArr.length == 1) {
                        x509CertificateArr[0].checkValidity();
                        return;
                    }
                } catch (Exception unused) {
                    return;
                }
            }
            this.a.checkServerTrusted(x509CertificateArr, str);
        } else if (x509CertificateArr == null || x509CertificateArr.length == 0) {
            throw new CertificateException("Certificate chain is invalid.");
        } else if (str == null || str.length() == 0) {
            throw new CertificateException("Authentication type is invalid.");
        } else {
            while (i < x509CertificateArr.length - 1) {
                X509Certificate x509Certificate = x509CertificateArr[i];
                i++;
                X509Certificate x509Certificate2 = x509CertificateArr[i];
                try {
                    x509Certificate.checkValidity();
                    x509Certificate.verify(x509Certificate2.getPublicKey());
                } catch (Exception e) {
                    throw new CertificateException(e);
                }
            }
            X509TrustManager x509TrustManager = this.a;
            if (x509TrustManager != null) {
                x509TrustManager.checkServerTrusted(x509CertificateArr, str);
            }
        }
    }

    public X509Certificate[] getAcceptedIssuers() {
        X509TrustManager x509TrustManager = this.a;
        if (x509TrustManager != null) {
            return x509TrustManager.getAcceptedIssuers();
        }
        return null;
    }
}
