package com.deepe.c.j.e;

import com.deepe.c.i.q;
import com.deepe.c.j.a;
import com.deepe.c.j.a.f;
import com.deepe.c.j.b.a;
import com.deepe.c.j.j;
import com.deepe.c.j.m;
import com.deepe.c.j.p;
import com.uzmap.pkg.uzkit.request.HttpResult;
import com.uzmap.pkg.uzkit.request.RequestCallback;
import java.math.BigDecimal;
import java.util.Collection;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public abstract class e extends c<j> implements m.a {
    public static final int MIN_PROGRESS_TIME = 300;
    protected q<RequestCallback> a = new q<>();
    private boolean b;
    private boolean c;
    private boolean d;
    private int e = MIN_PROGRESS_TIME;
    private boolean f = false;

    public e(int i, String str) {
        super(i, str);
        setErrorListener(this);
        initDefault();
    }

    private void initDefault() {
        setDeliverInThread(true);
    }

    public void addCallback(RequestCallback requestCallback) {
        if (!this.a.contains(requestCallback)) {
            this.a.add(requestCallback);
        }
    }

    public void addCallback(Collection<RequestCallback> collection) {
        if (collection != null) {
            for (RequestCallback requestCallback : collection) {
                if (!this.a.contains(requestCallback)) {
                    this.a.add(requestCallback);
                }
            }
        }
    }

    @Override // com.deepe.c.j.k
    public void cancel() {
        super.cancel();
    }

    /* access modifiers changed from: protected */
    @Override // com.deepe.c.j.k
    public void deliverProgress(long j, long j2) {
        this.f = true;
        if (needReport() && hasCallback()) {
            double d2 = 0.0d;
            if (j > 0) {
                float f2 = (((float) j2) / ((float) j)) * 100.0f;
                if (f2 <= 99.99f || f2 >= 100.0f) {
                    d2 = new BigDecimal((double) f2).setScale(2, 4).doubleValue();
                } else {
                    return;
                }
            }
            com.deepe.c.j.q.c("percent: " + j2 + "," + j + "," + d2);
            performProgress(j, d2);
        }
    }

    /* access modifiers changed from: protected */
    public void deliverResponse(j jVar) {
        com.deepe.c.j.q.a("deliverResponse", jVar);
        String a2 = jVar.a(getCharset());
        if (!inResponseSafeMode() || !a.a(a2)) {
            if (hasCallback()) {
                HttpResult httpResult = new HttpResult(jVar.a);
                httpResult.headers = jVar.c;
                httpResult.data = a2;
                performFinish(httpResult);
            }
            performResponse(jVar);
            return;
        }
        onErrorResponse(new f("Received unsafe content!"));
    }

    public final List<RequestCallback> getCallback() {
        return this.a;
    }

    public int getMinGapTime() {
        return this.e;
    }

    public final boolean hasCallback() {
        return !this.a.isEmpty();
    }

    /* access modifiers changed from: protected */
    public boolean ioHappened() {
        return this.f;
    }

    public boolean needErrorInfo() {
        return this.c;
    }

    public boolean needEscape() {
        return this.b;
    }

    public boolean needReport() {
        return this.d;
    }

    @Override // com.deepe.c.j.m.a
    public void onErrorResponse(p pVar) {
        Map<String, String> map;
        a.C0043a cacheEntry;
        com.deepe.c.j.q.a("onErrorResponse", pVar);
        if (!shouldCache() || (cacheEntry = getCacheEntry()) == null) {
            if (hasCallback()) {
                int b2 = pVar.b();
                int i = 0;
                String str = null;
                if (pVar.a != null) {
                    i = pVar.a.a;
                    str = pVar.a.a(getCharset());
                    map = pVar.a.c;
                } else {
                    map = null;
                }
                HttpResult httpResult = new HttpResult(i);
                httpResult.data = str;
                if (map == null) {
                    map = new Hashtable<>();
                }
                httpResult.headers = map;
                httpResult.setErrorType(b2);
                performFinish(httpResult);
            }
            performResponse(pVar.a);
            return;
        }
        com.deepe.c.j.q.d("Request Error, Return will from Cache <<<< ");
        deliverResponse(new j(304, cacheEntry.a, cacheEntry.g, true, pVar.a()));
    }

    /* access modifiers changed from: protected */
    @Override // com.deepe.c.j.k
    public m<j> parseNetworkResponse(j jVar) {
        com.deepe.c.j.q.a(" >>>>>> parseNetworkResponse", (Object) null);
        return m.a(jVar, com.deepe.c.j.d.e.a(jVar));
    }

    /* access modifiers changed from: protected */
    public void performFinish(HttpResult httpResult) {
        Iterator<RequestCallback> it = this.a.iterator();
        while (it.hasNext()) {
            it.next().onFinish(httpResult);
        }
    }

    /* access modifiers changed from: protected */
    public void performProgress(long j, double d2) {
        Iterator<RequestCallback> it = this.a.iterator();
        while (it.hasNext()) {
            it.next().onProgress(j, d2);
        }
    }

    public void setCallback(RequestCallback requestCallback) {
        addCallback(requestCallback);
    }

    public void setMinGapTime(int i) {
        if (i < 1) {
            i = MIN_PROGRESS_TIME;
        }
        this.e = i;
    }

    public void setNeedErrorInfo(boolean z) {
        this.c = z;
    }

    public void setNeedEscape(boolean z) {
        this.b = z;
    }

    public void setNeedReport(boolean z) {
        this.d = z;
    }
}
