package com.deepe.c.j;

import android.net.Uri;
import android.os.SystemClock;
import com.deepe.c.j.a;
import com.deepe.c.j.a.g;
import com.deepe.c.j.e.d;
import com.deepe.c.j.e.f;
import com.deepe.c.j.m;
import com.deepe.c.j.q;
import java.io.Closeable;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URLEncoder;
import java.util.Collections;
import java.util.Map;
import javax.net.ssl.SSLSocketFactory;

public abstract class k<T> implements Comparable<k<T>> {
    private static long w;
    private final q.a a;
    private final int b;
    private final String c;
    private String d;
    private String e;
    private final int f;
    private m.a g;
    private Integer h;
    private l i;
    private boolean j;
    private boolean k;
    private boolean l;
    private boolean m;
    private int n;
    private long o;
    private o p;
    private a.C0043a q;
    private Object r;
    private boolean s;
    private HttpURLConnection t;
    private d u;
    private boolean v;

    public enum a {
        LOW,
        NORMAL,
        HIGH,
        IMMEDIATE
    }

    public k(int i2, String str) {
        this(i2, str, null);
    }

    public k(int i2, String str, m.a aVar) {
        this.a = null;
        this.j = true;
        this.k = false;
        this.l = false;
        this.m = false;
        this.n = -1;
        this.o = 0;
        this.q = null;
        this.s = false;
        this.v = true;
        this.b = i2;
        this.c = str;
        this.e = createIdentifier(i2, str);
        this.g = aVar;
        setRetryPolicy(new d());
        this.f = findDefaultTrafficStatsTag(str);
    }

    @Deprecated
    public k(String str, m.a aVar) {
        this(-1, str, aVar);
    }

    protected static void closeQuietly(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (Exception unused) {
            }
        }
    }

    private static String createIdentifier(int i2, String str) {
        StringBuilder sb = new StringBuilder("Request:");
        sb.append(i2);
        sb.append(":");
        sb.append(str);
        sb.append(":");
        sb.append(System.currentTimeMillis());
        sb.append(":");
        long j2 = w;
        w = 1 + j2;
        sb.append(j2);
        return f.b(sb.toString());
    }

    private byte[] encodeParameters(Map<String, String> map, String str) {
        StringBuilder sb = new StringBuilder();
        try {
            for (Map.Entry<String, String> entry : map.entrySet()) {
                sb.append(URLEncoder.encode(entry.getKey(), str));
                sb.append('=');
                sb.append(URLEncoder.encode(entry.getValue(), str));
                sb.append('&');
            }
            return sb.toString().getBytes(str);
        } catch (UnsupportedEncodingException e2) {
            throw new RuntimeException("Encoding not supported: " + str, e2);
        }
    }

    protected static boolean ensuresSync(OutputStream outputStream) {
        if (outputStream == null) {
            return true;
        }
        try {
            if (!(outputStream instanceof FileOutputStream)) {
                return true;
            }
            ((FileOutputStream) outputStream).getFD().sync();
            return true;
        } catch (IOException unused) {
            return false;
        }
    }

    private static int findDefaultTrafficStatsTag(String str) {
        Uri parse;
        String host;
        if (com.deepe.c.i.d.a((CharSequence) str) || (parse = Uri.parse(str)) == null || (host = parse.getHost()) == null) {
            return 0;
        }
        return host.hashCode();
    }

    public void addMarker(String str) {
        if (this.o == 0) {
            this.o = SystemClock.elapsedRealtime();
        }
    }

    public void cancel() {
        this.k = true;
        HttpURLConnection httpURLConnection = this.t;
        if (httpURLConnection != null) {
            try {
                httpURLConnection.disconnect();
            } catch (Exception unused) {
            }
            this.t = null;
        }
    }

    public boolean checkBodySafe() throws com.deepe.c.j.a.a {
        return true;
    }

    public int compareTo(k<T> kVar) {
        a priority = getPriority();
        a priority2 = kVar.getPriority();
        return priority == priority2 ? this.h.intValue() - kVar.h.intValue() : priority2.ordinal() - priority.ordinal();
    }

    @Override // java.lang.Comparable
    public /* bridge */ /* synthetic */ int compareTo(Object obj) {
        return compareTo((k) ((k) obj));
    }

    public boolean containsHeader(String str) {
        return false;
    }

    public void deliverError(p pVar) {
        m.a aVar = this.g;
        if (aVar != null) {
            aVar.onErrorResponse(pVar);
        }
    }

    /* access modifiers changed from: protected */
    public void deliverProgress(long j2, long j3) {
    }

    /* access modifiers changed from: protected */
    public abstract void deliverResponse(T t2);

    /* access modifiers changed from: protected */
    public void finish(String str) {
        this.l = true;
        l lVar = this.i;
        if (lVar != null) {
            lVar.c(this);
        }
        long elapsedRealtime = SystemClock.elapsedRealtime() - this.o;
        if (elapsedRealtime >= 3000) {
            q.b("%d ms: %s", Long.valueOf(elapsedRealtime), toString());
        }
    }

    public byte[] getBody() throws com.deepe.c.j.a.a {
        Map<String, String> params = getParams();
        if (params == null || params.size() <= 0) {
            return null;
        }
        return encodeParameters(params, getParamsEncoding());
    }

    public String getBodyContentType() {
        return "application/x-www-form-urlencoded; charset=" + getParamsEncoding();
    }

    public a.C0043a getCacheEntry() {
        return this.q;
    }

    public String getCacheKey() {
        return getOriginUrl();
    }

    public long getContentLength() {
        try {
            byte[] body = getBody();
            return (long) (body != null ? body.length : 0);
        } catch (com.deepe.c.j.a.a e2) {
            e2.printStackTrace();
            return 0;
        }
    }

    public m.a getErrorListener() {
        return this.g;
    }

    public Map<String, String> getHeaders() throws com.deepe.c.j.a.a {
        return Collections.emptyMap();
    }

    public String getIdentifier() {
        return this.e;
    }

    public int getMethod() {
        return this.b;
    }

    public String getOriginUrl() {
        return this.c;
    }

    /* access modifiers changed from: protected */
    public Map<String, String> getParams() throws com.deepe.c.j.a.a {
        return null;
    }

    /* access modifiers changed from: protected */
    public String getParamsEncoding() {
        return "UTF-8";
    }

    @Deprecated
    public byte[] getPostBody() throws com.deepe.c.j.a.a {
        Map<String, String> postParams = getPostParams();
        if (postParams == null || postParams.size() <= 0) {
            return null;
        }
        return encodeParameters(postParams, getPostParamsEncoding());
    }

    @Deprecated
    public String getPostBodyContentType() {
        return getBodyContentType();
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public Map<String, String> getPostParams() throws com.deepe.c.j.a.a {
        return getParams();
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public String getPostParamsEncoding() {
        return getParamsEncoding();
    }

    public a getPriority() {
        return a.NORMAL;
    }

    public d getProxy() {
        return this.u;
    }

    public o getRetryPolicy() {
        return this.p;
    }

    public final int getSequence() {
        Integer num = this.h;
        if (num != null) {
            return num.intValue();
        }
        throw new IllegalStateException("getSequence called before setSequence");
    }

    public SSLSocketFactory getSslSocketFactory() {
        return null;
    }

    public Object getTag() {
        return this.r;
    }

    public final int getTimeoutMs() {
        return this.p.a();
    }

    public int getTrafficStatsTag() {
        return this.f;
    }

    public String getUrl() {
        String str = this.d;
        return str != null ? str : this.c;
    }

    public boolean handleResponse(f fVar) throws IOException, g {
        return false;
    }

    public final boolean hasConnectioned() {
        return this.t != null;
    }

    public boolean hasHadResponseDelivered() {
        return this.m;
    }

    public boolean inRequestSafeMode() {
        int i2 = this.n;
        return i2 == 1 || i2 == 0;
    }

    public boolean inResponseSafeMode() {
        int i2 = this.n;
        return i2 == 2 || i2 == 0;
    }

    public boolean isCanceled() {
        return this.k;
    }

    public final boolean isDeliverInThread() {
        return this.s;
    }

    public boolean isEmpty() throws com.deepe.c.j.a.a {
        return getParams() == null;
    }

    public boolean isFinished() {
        return this.l;
    }

    public void markDelivered() {
        this.m = true;
    }

    public final boolean needEncode() {
        return this.v;
    }

    public void onPreExecute() {
    }

    /* access modifiers changed from: protected */
    public p parseNetworkError(p pVar) {
        return pVar;
    }

    /* access modifiers changed from: protected */
    public abstract m<T> parseNetworkResponse(j jVar);

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public k<?> setCacheEntry(a.C0043a aVar) {
        this.q = aVar;
        return this;
    }

    public final void setConnection(HttpURLConnection httpURLConnection) {
        this.t = httpURLConnection;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public final k<?> setDeliverInThread(boolean z) {
        this.s = z;
        return this;
    }

    public void setErrorListener(m.a aVar) {
        this.g = aVar;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public k<?> setNeedEncode(boolean z) {
        this.v = z;
        return this;
    }

    public void setProxy(String str, int i2, int i3) {
        d dVar = new d(str);
        this.u = dVar;
        dVar.a(i2);
        this.u.b(i3);
    }

    public void setRedirectUrl(String str) {
        this.d = str;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public k<?> setRequestQueue(l lVar) {
        this.i = lVar;
        return this;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public k<?> setRetryPolicy(o oVar) {
        this.p = oVar;
        return this;
    }

    public void setSafeMode(int i2) {
        this.n = i2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public final k<?> setSequence(int i2) {
        this.h = Integer.valueOf(i2);
        return this;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public k<?> setShouldCache(boolean z) {
        this.j = z;
        return this;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.deepe.c.j.k<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public k<?> setTag(Object obj) {
        this.r = obj;
        return this;
    }

    public final boolean shouldCache() {
        return this.j;
    }

    public String toString() {
        return (this.k ? "[X] " : "[ ] ") + getUrl() + " " + ("0x" + Integer.toHexString(getTrafficStatsTag())) + " " + getPriority() + " " + this.h + " " + this.r;
    }

    public void writeTo(OutputStream outputStream) throws IOException, com.deepe.c.j.a.a {
    }
}
