package com.eclipsesource.v8.debug.mirror;

import com.eclipsesource.v8.V8Object;
import com.uzmap.pkg.uzkit.UZOpenApi;

public class PropertyMirror extends Mirror {
    PropertyMirror(V8Object v8Object) {
        super(v8Object);
    }

    public String getName() {
        return this.v8Object.executeStringFunction("name", null);
    }

    public Mirror getValue() {
        V8Object executeObjectFunction = this.v8Object.executeObjectFunction(UZOpenApi.VALUE, null);
        try {
            return createMirror(executeObjectFunction);
        } finally {
            executeObjectFunction.close();
        }
    }

    @Override // com.eclipsesource.v8.debug.mirror.Mirror
    public boolean isProperty() {
        return true;
    }
}
