package com.uzmap.pkg.openapi;

import android.app.Application;
import android.content.Context;
import com.deepe.sdk.DeepSetting;
import com.uzmap.pkg.uzcore.e;

public class APICloud {
    private static APICloud c;
    private Context a;
    private e b;

    private APICloud(Context context) {
        Context applicationContext = context.getApplicationContext();
        this.a = applicationContext;
        if (applicationContext == null) {
            this.a = context;
        }
        this.b = e.a(this.a);
    }

    public static boolean debugEnable() {
        return DeepSetting.debugEnable();
    }

    public static APICloud get() {
        APICloud aPICloud = c;
        if (aPICloud != null) {
            return aPICloud;
        }
        throw new RuntimeException("You must call APICloud.initialize at first!");
    }

    public static APICloud initialize(Context context) {
        if (c == null) {
            c = new APICloud(context);
        }
        c.onCreate(context);
        return c;
    }

    public static final APICloud initializeOnAttachBaseContext(Context context) {
        if (c == null) {
            APICloud aPICloud = new APICloud(context);
            c = aPICloud;
            aPICloud.b.c(context);
        }
        return c;
    }

    public static void setDebug(boolean z) {
        DeepSetting.setDebug(z);
    }

    public Context getContext() {
        return this.a;
    }

    public final void onCreate(Context context) {
        Application application = (Application) context.getApplicationContext();
        this.a = application;
        this.b.b(application);
    }

    public void onPause() {
    }

    public void onResume() {
    }
}
