package com.uzmap.pkg.uzapp;

import android.app.DownloadManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.support.v4.app.NotificationCompat;
import com.uzmap.pkg.uzcore.external.h;
import java.io.File;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

public class UPExtraBridge extends BroadcastReceiver {

    public static class DownloadReceiver extends BroadcastReceiver {
        private final a a;

        public DownloadReceiver(a aVar) {
            this.a = aVar;
        }

        public void onReceive(Context context, Intent intent) {
            String str;
            String action = intent.getAction();
            if (this.a.c && "android.intent.action.DOWNLOAD_COMPLETE".equals(action)) {
                DownloadManager.Query query = new DownloadManager.Query();
                query.setFilterById(this.a.a);
                Cursor query2 = this.a.b.query(query);
                String str2 = null;
                if (query2.moveToFirst()) {
                    str2 = query2.getString(query2.getColumnIndex("local_uri"));
                    str = query2.getString(query2.getColumnIndex("media_type"));
                    if (query2.getInt(query2.getColumnIndex(NotificationCompat.CATEGORY_STATUS)) == 16) {
                        h.a("附件下载失败...");
                        return;
                    }
                } else {
                    str = null;
                }
                if (str2 != null && str != null) {
                    try {
                        str2 = URLDecoder.decode(str2, "UTF-8");
                    } catch (UnsupportedEncodingException e) {
                        e.printStackTrace();
                    }
                    Intent intent2 = new Intent("android.intent.action.VIEW");
                    intent2.setFlags(268435456);
                    DataProvider.a(context, intent2, str, new File(str2.replace("file://", "")), false);
                    try {
                        context.getApplicationContext().startActivity(intent2);
                        context.unregisterReceiver(this);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            }
        }
    }

    public static class a {
        public long a;
        public DownloadManager b;
        public boolean c;
    }

    public static void a(Context context, a aVar) {
        DownloadReceiver downloadReceiver = new DownloadReceiver(aVar);
        IntentFilter intentFilter = new IntentFilter("android.intent.action.DOWNLOAD_COMPLETE");
        intentFilter.addAction("android.intent.action.DOWNLOAD_NOTIFICATION_CLICKED");
        intentFilter.addAction("android.intent.action.VIEW_DOWNLOADS");
        context.registerReceiver(downloadReceiver, intentFilter);
    }

    public void onReceive(Context context, Intent intent) {
        b.a().a(context, intent);
    }
}
