package com.uzmap.pkg.uzapp;

import android.app.Application;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.support.multidex.MultiDex;
import com.deepe.c.i.n;
import com.uzmap.pkg.uzcore.e;
import java.util.Locale;

public class UZApplication extends Application {
    private e a = e.a(this);
    private Resources b;

    /* access modifiers changed from: protected */
    public void attachBaseContext(Context context) {
        super.attachBaseContext(context);
        if (n.a()) {
            MultiDex.install(this);
        }
        this.a.c(context);
    }

    public Resources getResources() {
        Resources resources = this.b;
        if (resources != null) {
            return resources;
        }
        Resources resources2 = super.getResources();
        Configuration configuration = new Configuration();
        configuration.setToDefaults();
        if (configuration.locale == null) {
            configuration.locale = Locale.getDefault();
        }
        resources2.updateConfiguration(configuration, resources2.getDisplayMetrics());
        this.b = resources2;
        return resources2;
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.a.a(configuration);
    }

    public void onCreate() {
        super.onCreate();
        this.a.b(this);
    }
}
