package com.uzmap.pkg.uzcore;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.graphics.Bitmap;
import android.os.Build;
import android.os.Bundle;
import android.os.Process;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.ViewGroup;
import android.webkit.ConsoleMessage;
import com.deepe.b.d;
import com.deepe.c.k.h;
import com.uzmap.pkg.b.a.i;
import com.uzmap.pkg.b.c.k;
import com.uzmap.pkg.openapi.APIEventCenter;
import com.uzmap.pkg.openapi.EventEntity;
import com.uzmap.pkg.openapi.Html5EventListener;
import com.uzmap.pkg.openapi.IncPackage;
import com.uzmap.pkg.openapi.WebViewProvider;
import com.uzmap.pkg.uzcore.external.c;
import com.uzmap.pkg.uzcore.f;
import com.uzmap.pkg.uzcore.f.e;
import com.uzmap.pkg.uzcore.g.f;
import com.uzmap.pkg.uzcore.h.s;
import com.uzmap.pkg.uzcore.i.j;
import com.uzmap.pkg.uzcore.i.l;
import com.uzmap.pkg.uzcore.q;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzkit.UZOpenApi;
import org.json.JSONObject;

public abstract class UZAppActivity extends Activity {
    private boolean a = false;
    private s b;
    private f c;
    private b d;
    private e e;
    private boolean f;
    private boolean g;
    private int h = 0;
    private int i = -1;
    private int j = 0;
    private boolean k;
    private com.deepe.b.d l;
    private c m;
    private com.uzmap.pkg.uzcore.b.e n = new com.uzmap.pkg.uzcore.b.e() {
        /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass1 */

        @Override // com.uzmap.pkg.uzcore.b.e
        public void a(boolean z, com.uzmap.pkg.uzcore.b.d dVar, String str) {
            boolean z2 = false;
            if (a() != null && (dVar = dVar.h(a())) == null) {
                str = com.deepe.b.O;
                z = false;
            }
            if (dVar == null || !dVar.e() || !UZCoreUtil.deviceBeRoot()) {
                z2 = z;
            } else {
                str = com.deepe.b.P;
            }
            if (!UZAppActivity.this.askPrivacyAgreed()) {
                b(z2, dVar, str);
            } else {
                UZAppActivity.this.initializeEngine(z2, dVar, str);
            }
        }
    };
    private Runnable o = new Runnable() {
        /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass2 */

        public void run() {
            if (UZAppActivity.this.c != null) {
                UZAppActivity.this.c.q();
            }
        }
    };
    private Runnable p = new Runnable() {
        /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass3 */

        public void run() {
            e.a().e();
            com.deepe.c.b.a(UZAppActivity.this.p, 180000);
        }
    };

    /* access modifiers changed from: private */
    public class a extends d.a {
        private a() {
        }

        /* synthetic */ a(UZAppActivity uZAppActivity, a aVar) {
            this();
        }

        @Override // com.deepe.b.d.a
        public Activity getActivity() {
            return UZAppActivity.this;
        }

        @Override // com.deepe.b.d.a
        public boolean isFromNativeSDK() {
            return UZAppActivity.this.isFromNativeSDK();
        }

        @Override // com.deepe.b.d.a
        public void onSmartUpdateFinish(final boolean z, final com.deepe.b.b.c cVar) {
            com.deepe.c.b.a(new Runnable() {
                /* class com.uzmap.pkg.uzcore.UZAppActivity.a.AnonymousClass1 */

                public void run() {
                    UZAppActivity.this.c.a(z, cVar);
                    if (a.this.isFromNativeSDK()) {
                        IncPackage incPackage = new IncPackage();
                        incPackage.version = cVar.a;
                        incPackage.silent = cVar.c;
                        incPackage.extra = cVar.d;
                        UZAppActivity.this.onSmartUpdateFinish(incPackage);
                    }
                }
            }, 3000);
        }

        @Override // com.deepe.b.d.a
        public boolean requestFinishApp(boolean z) {
            if (z || isFromNativeSDK()) {
                UZAppActivity.this.finishNow();
                return true;
            }
            UZAppActivity.this.askForFinish();
            return true;
        }

        @Override // com.deepe.b.d.a
        public boolean requestRebootApp() {
            UZAppActivity.this.rebootApp(null);
            return true;
        }
    }

    /* access modifiers changed from: private */
    public class b extends p {
        private l b;
        private k c;
        private Activity d;
        private boolean e = false;
        private int f;

        public b(Activity activity) {
            this.d = activity;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void a(boolean z) {
            this.e = z;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean a() {
            return this.e;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void deliverConsoleMessage(j jVar) {
            if (jVar.a != null) {
                UZAppActivity.this.onConsoleMessage(jVar.a);
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void deliverHtml5Event(a aVar, String str, Object obj) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                WebViewProvider i = aVar.i();
                for (Html5EventListener html5EventListener : APIEventCenter.get().getEventListeners(UZAppActivity.this)) {
                    if (html5EventListener.matching(str)) {
                        html5EventListener.onReceive(i, obj);
                    }
                }
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void deliverJsError(String str) {
            if (!k.a()) {
                k kVar = this.c;
                if (kVar == null || !kVar.isShowing()) {
                    k kVar2 = new k(this.d);
                    this.c = kVar2;
                    kVar2.a(this.d, str);
                    this.c.show();
                    return;
                }
                this.c.a(str);
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void deliverPageFinished(WebViewProvider webViewProvider, String str) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                UZAppActivity.this.onPageFinished(webViewProvider, str);
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void deliverPageStarted(WebViewProvider webViewProvider, String str, Bitmap bitmap) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                UZAppActivity.this.onPageStarted(webViewProvider, str, bitmap);
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void deliverProgressChanged(WebViewProvider webViewProvider, int i) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                UZAppActivity.this.onProgressChanged(webViewProvider, i);
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean deliverReceivedError(a aVar, int i, String str, String str2) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                return UZAppActivity.this.onReceivedError(aVar.i(), i, str, str2);
            }
            return false;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void onFirstPageFinish() {
            this.d.getWindow().clearFlags(1048576);
            UZAppActivity.this.removeLaunchView(false, null);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean onPrivacyAgreed() {
            UZAppActivity.this.doPrivacyAgreed();
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void onReceivedPageTitle(WebViewProvider webViewProvider, String str) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                UZAppActivity.this.onReceivedTitle(webViewProvider, str);
            }
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestAppInImmerseState() {
            return Build.VERSION.SDK_INT >= 19 && UZAppActivity.this.f && i.b(this.d);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public void requestAppidle(boolean z, int i) {
            UZAppActivity.this.appidle(z, i);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestConnectivityListen(boolean z) {
            e.a().a(z);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestFinishApp(boolean z) {
            if (z || UZAppActivity.this.isFromNativeSDK()) {
                UZAppActivity.this.finishNow();
                return true;
            }
            UZAppActivity.this.askForFinish();
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestForceFinishAppWidthAlert(String str, String str2, String str3) {
            UZAppActivity.this.warnAndForceFinish(str, str2, str3);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestFullScreen(boolean z, boolean z2) {
            i.a(this.d, z, z2);
            UZAppActivity.this.b.c(z);
            return false;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestHandlderIntent(String str) {
            UZAppActivity.this.handlderIntent(null, str);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public final boolean requestHideCustomView() {
            if (this.b == null) {
                return false;
            }
            UZAppActivity.this.b.setVisibility(0);
            this.d.setRequestedOrientation(this.f);
            l lVar = this.b;
            if (lVar != null) {
                ViewGroup viewGroup = (ViewGroup) lVar.getParent();
                if (viewGroup != null) {
                    viewGroup.removeView(this.b);
                }
                this.b.a();
            }
            this.b = null;
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestKeepScreenOn(boolean z) {
            i.c(this.d, z);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestNativeAccess(WebViewProvider webViewProvider, UZModuleContext uZModuleContext) {
            if (!UZAppActivity.this.isFromNativeSDK()) {
                return false;
            }
            return UZAppActivity.this.onHtml5AccessRequest(webViewProvider, uZModuleContext);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestOrientation(int i) {
            if (UZAppActivity.this.getRequestedOrientation() == i) {
                return false;
            }
            this.d.setRequestedOrientation(i);
            UZAppActivity.this.b.a();
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestRebootApp(String str) {
            if (UZAppActivity.this.isFromNativeSDK()) {
                return false;
            }
            UZAppActivity.this.rebootApp(str);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestRemoveLaunchView(boolean z, d dVar) {
            UZAppActivity.this.removeLaunchView(z, dVar);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestShouldForbiddenAccess(String str, String str2, String str3) {
            if (!UZAppActivity.this.isFromNativeSDK()) {
                return false;
            }
            return UZAppActivity.this.shouldForbiddenAccess(str, str2, str3);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestShouldOverrideUrlLoading(WebViewProvider webViewProvider, String str) {
            if (!UZAppActivity.this.isFromNativeSDK()) {
                return false;
            }
            return UZAppActivity.this.shouldOverrideUrlLoading(webViewProvider, str);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public final boolean requestShowCustomView(l lVar, int i) {
            if (this.b != null) {
                requestHideCustomView();
                return false;
            }
            this.b = lVar;
            this.f = this.d.getRequestedOrientation();
            this.d.addContentView(lVar, com.deepe.c.b.d.a());
            UZAppActivity.this.b.setVisibility(4);
            this.d.setRequestedOrientation(i);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestShowLaunchView(boolean z, d dVar) {
            if (f.a().b()) {
                UZAppActivity.this.showLaunchView(true);
            }
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public boolean requestStartActivity(Intent intent, int i, boolean z) {
            if (!z) {
                UZAppActivity.this.startActivity(intent);
            } else {
                UZAppActivity.this.startActivityForResult(intent, i);
            }
            a(true);
            return true;
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public int requestVisualHeight(boolean z) {
            return UZAppActivity.this.b.a(z);
        }

        @Override // com.uzmap.pkg.uzcore.f.a
        public int requestVisualWidth(boolean z) {
            return UZAppActivity.this.b.b(z);
        }
    }

    /* access modifiers changed from: private */
    public class c implements ad {
        private c() {
        }

        /* synthetic */ c(UZAppActivity uZAppActivity, c cVar) {
            this();
        }

        @Override // com.uzmap.pkg.uzcore.ad
        public void onDownloadComplete(Intent intent) {
            if (UZAppActivity.this.c != null) {
                UZAppActivity.this.c.a(intent);
            }
        }

        @Override // com.uzmap.pkg.uzcore.ad
        public void onHomeKeyPress(Intent intent) {
        }

        @Override // com.uzmap.pkg.uzcore.ad
        public void onNetworkChanged(boolean z, String str) {
            if (UZAppActivity.this.c != null) {
                UZAppActivity.this.c.a(z, str);
            }
        }
    }

    /* access modifiers changed from: private */
    public class d implements s.a {
        private boolean b = false;

        public d() {
        }

        @Override // com.uzmap.pkg.uzcore.h.s.a
        public void a(int i, int i2, int i3, int i4) {
            if (!this.b) {
                this.b = true;
                if (UZAppActivity.this.isFromNativeSDK()) {
                    String stringExtra = UZAppActivity.this.getIntent().getStringExtra("startUrl");
                    if (com.deepe.c.i.s.v(stringExtra)) {
                        UZAppActivity.this.n.a(stringExtra);
                    }
                }
                e.a().a(UZAppActivity.this.n);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void appidle(boolean z, int i2) {
        if (z) {
            if (i2 > 0) {
                this.h = i2;
            }
            com.deepe.c.b.c(this.o);
            com.deepe.c.b.a(this.o, (long) this.h);
            return;
        }
        com.deepe.c.b.c(this.o);
        this.h = 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void askForFinish() {
        com.uzmap.pkg.uzcore.external.c.a(this, new c.AbstractC0050c() {
            /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass5 */

            @Override // com.uzmap.pkg.uzcore.external.c.AbstractC0050c
            public void a(int i, String str) {
                UZAppActivity.this.finishNow();
            }
        });
    }

    private final void cleanEngine(boolean z) {
        f fVar = this.c;
        if (fVar != null) {
            fVar.l();
        }
        s sVar = this.b;
        if (sVar != null) {
            sVar.removeAllViews();
        }
        APIEventCenter.get().removeAllHtml5EventListener(this);
        com.uzmap.pkg.uzcore.g.a.a();
        com.uzmap.pkg.uzcore.external.j.a(this);
        if (z || isFromNativeSDK()) {
            if (z) {
                e.a().c();
            }
            e.a().c(this.m);
            return;
        }
        this.a = true;
        e.a().o();
    }

    private final boolean dispatchKeyBackPress(boolean z) {
        if (this.c == null || this.d.requestHideCustomView() || h.c()) {
            return true;
        }
        if (!shouldOverrideKeyPress(q.a.BACK)) {
            return this.c.n();
        }
        this.c.a(q.a.BACK, z);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void finishNow() {
        finish();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void handlderIntent(Intent intent, String str) {
        if (intent == null) {
            intent = getIntent();
        }
        if (!UZCoreUtil.isEmptyIntent(intent)) {
            this.c.c(UZCoreUtil.parseAppParam(intent));
            String b2 = com.deepe.c.a.d.b((Activity) this);
            if (b2 == null) {
                b2 = "";
            }
            this.c.a(b2, intent, str);
            if (str == "noticeclicked" && intent.hasExtra(UZOpenApi.API_ARGUMENTS)) {
                intent.removeExtra(UZOpenApi.API_ARGUMENTS);
            }
            if (str == "appintent" && intent.hasExtra(UZOpenApi.APP_PARAM)) {
                intent.removeExtra(UZOpenApi.APP_PARAM);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void initializeEngine(boolean z, com.uzmap.pkg.uzcore.b.d dVar, String str) {
        e eVar;
        String str2;
        if (!z) {
            String str3 = com.deepe.b.O;
            if (str != null) {
                str2 = com.deepe.b.i;
            } else {
                str = str3;
                str2 = null;
            }
            warnAndForceFinish(str2, str, null);
            return;
        }
        if (!dVar.i && (eVar = this.e) != null) {
            eVar.a();
        }
        if (dVar.m) {
            i.a((Context) this, true);
            this.f = dVar.m;
        }
        i.a(this, dVar.h());
        this.b.setBackground(dVar.h());
        f a2 = f.a((Context) this);
        this.c = a2;
        a2.a(this.b);
        b bVar = new b(this);
        this.d = bVar;
        this.c.a((f.a) bVar);
        this.c.c(UZCoreUtil.parseAppParam(getIntent()));
        this.c.a(dVar);
        this.c.i();
        doCloudManager();
    }

    private final void initializeNativeUI() {
        i.a((Activity) this);
        com.uzmap.pkg.uzcore.b.d i2 = e.a().i();
        if (i2 != null && i2.m) {
            i.b((Activity) this, true);
            this.f = i2.m;
        }
        s sVar = new s(this);
        this.b = sVar;
        sVar.a(new d());
        setContentView(this.b, com.deepe.c.b.d.a());
        if (isFromNativeSDK()) {
            com.uzmap.pkg.uzcore.external.j.a(getWindow());
        } else {
            showLaunchView(false);
        }
    }

    private boolean isHoldAppidle() {
        return this.h > 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean onLaunchViewClick(Object obj) {
        f fVar = this.c;
        if (fVar == null || !fVar.m()) {
            return false;
        }
        this.c.a(obj);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void rebootApp(String str) {
        cleanEngine(true);
        setupPackageBoot();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void removeLaunchView(boolean z, d dVar) {
        e eVar = this.e;
        if (eVar != null) {
            eVar.a(z, dVar);
        }
    }

    private void saveOrientation(int i2) {
        this.i = i2;
        aa.a(i2);
    }

    private void saveUiMode(int i2) {
        this.j = i2;
        aa.b(i2);
    }

    private void setupPackageBoot() {
        initializeNativeUI();
        e a2 = e.a();
        com.deepe.b.d dVar = new com.deepe.b.d(new a(this, null));
        this.l = dVar;
        a2.a((com.deepe.b.d.e) dVar);
        a2.a((com.deepe.b.d.d) this.l);
        c cVar = new c(this, null);
        this.m = cVar;
        a2.a(cVar);
    }

    private boolean shouldOverrideKeyPress(q.a aVar) {
        f fVar = this.c;
        return fVar != null && fVar.a(aVar);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showLaunchView(boolean z) {
        if (this.e == null) {
            e eVar = new e(this);
            this.e = eVar;
            eVar.a(new e.a() {
                /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass4 */

                @Override // com.uzmap.pkg.uzcore.f.e.a
                public boolean a(Object obj) {
                    return UZAppActivity.this.onLaunchViewClick(obj);
                }
            });
        }
        this.e.a(z);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void warnAndForceFinish(final String str, final String str2, final String str3) {
        com.deepe.c.b.a(new Runnable() {
            /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass6 */

            public void run() {
                String str = !com.deepe.c.i.d.a(str) ? str : com.deepe.b.M;
                String str2 = !com.deepe.c.i.d.a(str2) ? str2 : com.deepe.b.N;
                String str3 = !com.deepe.c.i.d.a(str3) ? str3 : com.deepe.b.z;
                c.b a2 = com.uzmap.pkg.uzcore.external.c.a(str, str2);
                a2.b(str3);
                a2.a(false);
                com.uzmap.pkg.uzcore.external.c.a(UZAppActivity.this, a2, new c.AbstractC0050c() {
                    /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass6.AnonymousClass1 */

                    @Override // com.uzmap.pkg.uzcore.external.c.AbstractC0050c
                    public void a(int i, String str) {
                        UZAppActivity.this.finishNow();
                    }
                });
            }
        });
    }

    /* access modifiers changed from: protected */
    public final void addH5EventListener(Html5EventListener html5EventListener) {
        APIEventCenter.get().addHtml5EventListener(this, html5EventListener);
    }

    public boolean askPrivacyAgreed() {
        return com.uzmap.pkg.uzcore.f.d.a(this);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        if (isHoldAppidle() && motionEvent.getAction() == 0) {
            appidle(true, 0);
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    public void doCloudManager() {
        if (!this.g) {
            e.a().d();
        } else {
            com.deepe.c.b.a(new Runnable() {
                /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass8 */

                public void run() {
                    e.a().d();
                }
            }, 1500);
        }
    }

    public void doPrivacyAgreed() {
        this.g = true;
        com.uzmap.pkg.uzcore.f.d.b();
        if (this.n.c()) {
            this.n.b();
        } else {
            doCloudManager();
        }
    }

    /* access modifiers changed from: protected */
    public final void evaluateScript(String str, String str2, String str3) {
        f fVar = this.c;
        if (fVar != null) {
            fVar.a(str, str2, str3);
        }
    }

    public void finish() {
        super.finish();
        if (!this.k) {
            e.a().d((Activity) this);
        }
    }

    /* access modifiers changed from: protected */
    public abstract boolean isFromNativeSDK();

    /* access modifiers changed from: protected */
    public void onActivityResult(int i2, int i3, Intent intent) {
        f b2 = f.b(this);
        if (b2 != null) {
            b2.a(i2, i3, intent);
        }
    }

    public void onBackPressed() {
        dispatchKeyBackPress(false);
    }

    public void onConfigurationChanged(Configuration configuration) {
        s sVar;
        super.onConfigurationChanged(configuration);
        if (configuration != null) {
            int i2 = this.i;
            saveOrientation(configuration.orientation);
            if (!(i2 == configuration.orientation || (sVar = this.b) == null)) {
                sVar.a();
            }
            int i3 = this.j;
            int a2 = i.a(configuration.uiMode);
            if (i3 != a2) {
                saveUiMode(a2);
            }
        }
    }

    /* access modifiers changed from: protected */
    public abstract void onConsoleMessage(ConsoleMessage consoleMessage);

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(null);
        if (!com.uzmap.pkg.uzcore.external.j.b(this)) {
            this.k = true;
            this.a = true;
            finish();
            return;
        }
        saveOrientation(getRequestedOrientation());
        setupPackageBoot();
        e.a().a((Activity) this);
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        cleanEngine(false);
        super.onDestroy();
        if (!this.k && !isFromNativeSDK()) {
            Process.killProcess(Process.myPid());
        }
    }

    /* access modifiers changed from: protected */
    public abstract boolean onHtml5AccessRequest(WebViewProvider webViewProvider, UZModuleContext uZModuleContext);

    public boolean onKeyDown(int i2, KeyEvent keyEvent) {
        q.a a2 = (i2 == 24 || i2 == 25 || i2 == 82) ? q.a(i2) : null;
        return a2 != null ? shouldOverrideKeyPress(a2) : super.onKeyDown(i2, keyEvent);
    }

    public boolean onKeyLongPress(int i2, KeyEvent keyEvent) {
        if (i2 == 4) {
            return dispatchKeyBackPress(true);
        }
        q.a a2 = q.a(i2);
        if (a2 == null || !shouldOverrideKeyPress(a2)) {
            return super.onKeyLongPress(i2, keyEvent);
        }
        this.c.a(a2, true);
        return true;
    }

    public boolean onKeyUp(int i2, KeyEvent keyEvent) {
        q.a a2 = (i2 == 24 || i2 == 25 || i2 == 82) ? q.a(i2) : null;
        if (a2 == null || !shouldOverrideKeyPress(a2)) {
            return super.onKeyUp(i2, keyEvent);
        }
        this.c.a(a2, false);
        return true;
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        if (this.c != null && intent != null) {
            handlderIntent(intent, "empty");
        }
    }

    /* access modifiers changed from: protected */
    public abstract void onPageFinished(WebViewProvider webViewProvider, String str);

    /* access modifiers changed from: protected */
    public abstract void onPageStarted(WebViewProvider webViewProvider, String str, Bitmap bitmap);

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
        if (!this.a) {
            f fVar = this.c;
            if (fVar != null) {
                fVar.o();
            }
            b bVar = this.d;
            if (bVar != null && !bVar.a()) {
                com.deepe.c.b.c(this.p);
                e.a().p();
            }
            e.a().c((Activity) this);
        }
    }

    /* access modifiers changed from: protected */
    public abstract void onProgressChanged(WebViewProvider webViewProvider, int i2);

    /* access modifiers changed from: protected */
    public abstract boolean onReceivedError(WebViewProvider webViewProvider, int i2, String str, String str2);

    /* access modifiers changed from: protected */
    public abstract void onReceivedTitle(WebViewProvider webViewProvider, String str);

    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        f b2 = f.b(this);
        if (b2 != null) {
            b2.a(i2, strArr, iArr, new ac(this));
        }
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Bundle bundle) {
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        f fVar = this.c;
        if (fVar != null) {
            fVar.p();
        }
        super.onResume();
        b bVar = this.d;
        if (bVar != null && !bVar.a()) {
            e.a().q();
            com.deepe.c.b.a(this.p, 180000);
        }
        b bVar2 = this.d;
        if (bVar2 != null) {
            bVar2.a((b) false);
        }
        e.a().b((Activity) this);
    }

    /* access modifiers changed from: protected */
    public void onSaveInstanceState(Bundle bundle) {
    }

    /* access modifiers changed from: protected */
    public abstract boolean onSmartUpdateFinish(IncPackage incPackage);

    /* access modifiers changed from: protected */
    public final void openAssign(final String str) {
        com.deepe.c.b.a(new Runnable() {
            /* class com.uzmap.pkg.uzcore.UZAppActivity.AnonymousClass7 */

            public void run() {
                UZAppActivity.this.c.a(str);
            }
        });
    }

    /* access modifiers changed from: protected */
    public final void removeH5EventListener(Html5EventListener html5EventListener) {
        if (html5EventListener == null) {
            APIEventCenter.get().removeAllHtml5EventListener(this);
        } else {
            APIEventCenter.get().removeHtml5EventListener(this, html5EventListener);
        }
    }

    /* access modifiers changed from: protected */
    public final void sendEventToH5(String str, JSONObject jSONObject) {
        APIEventCenter.get().sendEvent(this, new EventEntity(str, jSONObject));
    }

    /* access modifiers changed from: protected */
    public abstract boolean shouldForbiddenAccess(String str, String str2, String str3);

    /* access modifiers changed from: protected */
    public abstract boolean shouldOverrideUrlLoading(WebViewProvider webViewProvider, String str);
}
