package com.uzmap.pkg.uzcore;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Build;
import com.deepe.c.i.d;
import com.deepe.c.i.q;
import com.deepe.f.a;
import java.util.Iterator;

public class UZPlatformBridge extends BroadcastReceiver {
    private static UZPlatformBridge f;
    private a a;
    private String b;
    private Context c;
    private q<ad> d = new q<>();
    private boolean e;

    private UZPlatformBridge(Context context) {
        this.c = context.getApplicationContext();
    }

    public static synchronized UZPlatformBridge a(Context context) {
        UZPlatformBridge uZPlatformBridge;
        synchronized (UZPlatformBridge.class) {
            if (f == null) {
                f = new UZPlatformBridge(context);
            }
            uZPlatformBridge = f;
        }
        return uZPlatformBridge;
    }

    private static void a(Context context, BroadcastReceiver broadcastReceiver) {
        context.unregisterReceiver(broadcastReceiver);
    }

    private static void a(Context context, BroadcastReceiver broadcastReceiver, IntentFilter intentFilter) {
        if (Build.VERSION.SDK_INT >= 33) {
            context.registerReceiver(broadcastReceiver, intentFilter, 2);
        } else {
            context.registerReceiver(f, intentFilter);
        }
    }

    private IntentFilter e() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("UZMAP.DOWNLOAD.COMPLETE");
        intentFilter.addAction("android.intent.action.CLOSE_SYSTEM_DIALOGS");
        return intentFilter;
    }

    public synchronized void a() {
        a(this.c, f, e());
    }

    public void a(ad adVar) {
        if (!this.d.contains(adVar)) {
            this.d.add(adVar);
        }
    }

    public void a(boolean z) {
        UZPlatformBridge uZPlatformBridge;
        if (this.e != z && (uZPlatformBridge = f) != null) {
            a(this.c, uZPlatformBridge);
            this.e = z;
            IntentFilter e2 = e();
            if (z) {
                e2.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            }
            a(this.c, f, e2);
        }
    }

    public synchronized void b() {
        if (f != null) {
            a(this.c, f);
            f = null;
        }
    }

    public void b(ad adVar) {
        this.d.remove(adVar);
    }

    public String c() {
        a aVar = this.a;
        if (aVar != null) {
            return aVar.a();
        }
        this.a = a.d();
        a(true);
        return this.a.a();
    }

    public String d() {
        if (!d.a((CharSequence) this.b)) {
            return this.b;
        }
        String mobileOperatorName = UZCoreUtil.getMobileOperatorName();
        this.b = mobileOperatorName;
        if ("unknown".equals(mobileOperatorName)) {
            this.b = "none";
        }
        return this.b;
    }

    public void onReceive(Context context, Intent intent) {
        q<ad> qVar;
        if (intent != null) {
            String action = intent.getAction();
            if ("android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
                a d2 = a.d();
                if (this.a != d2) {
                    this.a = d2;
                    q<ad> qVar2 = this.d;
                    if (qVar2 != null) {
                        Iterator<ad> it = qVar2.iterator();
                        while (it.hasNext()) {
                            it.next().onNetworkChanged(d2.c(), d2.a());
                        }
                    }
                }
            } else if ("UZMAP.DOWNLOAD.COMPLETE".equals(action)) {
                q<ad> qVar3 = this.d;
                if (qVar3 != null) {
                    Iterator<ad> it2 = qVar3.iterator();
                    while (it2.hasNext()) {
                        it2.next().onDownloadComplete(intent);
                    }
                }
            } else if ("android.intent.action.CLOSE_SYSTEM_DIALOGS".equals(action) && (qVar = this.d) != null) {
                Iterator<ad> it3 = qVar.iterator();
                while (it3.hasNext()) {
                    it3.next().onHomeKeyPress(intent);
                }
            }
        }
    }
}
