package com.zakww.loratm.bean;

import android.database.Cursor;
import com.uzmap.pkg.uzkit.UZOpenApi;

public class FlowBean {
    private String api;
    private String createTime;
    private String id;
    private String lastUpdateTime;
    private int packageCount;
    private String param;
    private String receiveState;
    private String result;
    private int sendCount;
    private String sendState;
    private int serialNum;

    public void fromCursor(Cursor cursor) {
        this.id = cursor.getString(cursor.getColumnIndex("id"));
        this.serialNum = cursor.getInt(cursor.getColumnIndex("serial_num"));
        this.packageCount = cursor.getInt(cursor.getColumnIndex("package_count"));
        this.sendCount = cursor.getInt(cursor.getColumnIndex("send_count"));
        this.sendState = cursor.getString(cursor.getColumnIndex("send_state"));
        this.api = cursor.getString(cursor.getColumnIndex("api"));
        this.param = cursor.getString(cursor.getColumnIndex("param"));
        this.receiveState = cursor.getString(cursor.getColumnIndex("receive_state"));
        this.result = cursor.getString(cursor.getColumnIndex(UZOpenApi.RESULT));
        this.createTime = cursor.getString(cursor.getColumnIndex("create_time"));
        this.lastUpdateTime = cursor.getString(cursor.getColumnIndex("last_update_time"));
    }

    public String getId() {
        return this.id;
    }

    public void setId(String str) {
        this.id = str;
    }

    public int getPackageCount() {
        return this.packageCount;
    }

    public void setPackageCount(int i) {
        this.packageCount = i;
    }

    public int getSendCount() {
        return this.sendCount;
    }

    public void setSendCount(int i) {
        this.sendCount = i;
    }

    public String getSendState() {
        return this.sendState;
    }

    public void setSendState(String str) {
        this.sendState = str;
    }

    public String getApi() {
        return this.api;
    }

    public void setApi(String str) {
        this.api = str;
    }

    public String getParam() {
        return this.param;
    }

    public void setParam(String str) {
        this.param = str;
    }

    public String getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(String str) {
        this.createTime = str;
    }

    public String getLastUpdateTime() {
        return this.lastUpdateTime;
    }

    public void setLastUpdateTime(String str) {
        this.lastUpdateTime = str;
    }

    public String getReceiveState() {
        return this.receiveState;
    }

    public String getResult() {
        return this.result;
    }

    public void setReceiveState(String str) {
        this.receiveState = str;
    }

    public void setResult(String str) {
        this.result = str;
    }

    public int getSerialNum() {
        return this.serialNum;
    }

    public void setSerialNum(int i) {
        this.serialNum = i;
    }
}
