package com.zakww.loratm.util;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Intent;
import android.os.Build;
import android.os.IBinder;
import android.os.SystemClock;
import android.support.v4.app.NotificationCompat;

public class SerialService extends Service {
    private static final int ONEC = 50;
    private static final int PENDING_REQUEST = 0;
    private static final String TAG = "SerialService";

    public IBinder onBind(Intent intent) {
        throw new UnsupportedOperationException("Not yet implemented");
    }

    public int onStartCommand(Intent intent, int i, int i2) {
        new Thread(new Runnable() {
            /* class com.zakww.loratm.util.SerialService.AnonymousClass1 */

            public void run() {
                LogUtil.v(SerialService.TAG, AppUtil.getCurrDateStr() + "进入基于Alarm的定时执行: ");
                SerialManage.getInstance().readFromPort();
            }
        }).start();
        AlarmManager alarmManager = (AlarmManager) getSystemService(NotificationCompat.CATEGORY_ALARM);
        long elapsedRealtime = SystemClock.elapsedRealtime() + 50;
        PendingIntent broadcast = PendingIntent.getBroadcast(this, 0, new Intent(this, AlarmReceive.class), 67108864);
        if (Build.VERSION.SDK_INT >= 23) {
            alarmManager.setExactAndAllowWhileIdle(2, elapsedRealtime, broadcast);
        } else if (Build.VERSION.SDK_INT >= 19) {
            alarmManager.setExact(2, elapsedRealtime, broadcast);
        } else {
            alarmManager.set(2, elapsedRealtime, broadcast);
        }
        return super.onStartCommand(intent, i, i2);
    }
}
