package compile;

import net.lingala.zip4j.util.InternalZipConstants;

public class Properties {
    static final String APPID = "A1933860496406478849";
    static final boolean AUTH = true;
    static final String CERT_PSW = null;
    static final String CLOUD_KEY = "F5qaWygn2IiGp67jCWqi";
    static final long CLOUD_STAMP = 1715908510682L;
    static final String DESCRIPTOR = "{descriptor}";
    static final boolean DEVELOPER_MODE = false;
    static final boolean LOADER = false;
    static final String LOADER_VER = "3.0.0";
    static final String MAM_HOST = "https://iuap-yonbuilder-mamservice.yyuap.com/iuap-yonbuilder-mobile/v2";
    static final String MCM_HOST = "https://d.app3c.cn";
    static final String MSM_HOST = "https://s.app3c.com";
    static final boolean PROMOTION = false;
    static final String PUSH_HOST = "https://p.app3c.cn";
    static final String REPORT_HOST = "https://iuap-yonbuilder-mamservice.yyuap.com/iuap-yonbuilder-mobile/v2";
    static final String SAND_BOX = null;
    static final String STORE_HOST = "https://as.app3c.com";
    static final boolean S_MODE = true;
    static final boolean TELEVISION = false;
    static final String WIDGET_KEY = "v2O0B0PheIHEWHe3kPOObZ8CfzWJGgf2JKzUS/1348L48KyH";

    public static String appId() {
        return APPID;
    }

    public static String cloudKey() {
        return CLOUD_KEY;
    }

    public static long cloudStamp() {
        return CLOUD_STAMP;
    }

    public static String descriptor() {
        return DESCRIPTOR;
    }

    public static boolean developerMode() {
        return false;
    }

    public static boolean loader() {
        return false;
    }

    public static String loaderVer() {
        return LOADER_VER;
    }

    public static boolean promotion() {
        return false;
    }

    public static boolean smode() {
        return true;
    }

    public static boolean television() {
        return false;
    }

    public static String widgetKey() {
        return WIDGET_KEY;
    }

    public static String mamHost() {
        return validUrl("https://iuap-yonbuilder-mamservice.yyuap.com/iuap-yonbuilder-mobile/v2");
    }

    public static String mcmHost() {
        return validUrl(MCM_HOST);
    }

    public static String msmHost() {
        return validUrl(MSM_HOST);
    }

    public static String pushHost() {
        return validUrl(PUSH_HOST);
    }

    public static String storeHost() {
        return validUrl(STORE_HOST);
    }

    public static String analysisHost() {
        return validUrl("https://iuap-yonbuilder-mamservice.yyuap.com/iuap-yonbuilder-mobile/v2");
    }

    public static String certPsw() {
        return CERT_PSW;
    }

    public static String sandbox() {
        return SAND_BOX;
    }

    public static boolean auth() {
        return AUTH;
    }

    private static String validUrl(String str) {
        String substring = (str == null || !str.endsWith(InternalZipConstants.ZIP_FILE_SEPARATOR)) ? str : str.substring(0, str.length() - 1);
        if (str == null || str.startsWith("http")) {
            return substring;
        }
        return "http://" + str;
    }
}
