package org.simple.eventbus;

import java.lang.reflect.Method;

public class Subscription {
    public Object subscriber;
    public Method targetMethod;
    public ThreadMode threadMode;

    public Subscription(Object obj, TargetMethod targetMethod2) {
        this.subscriber = obj;
        this.targetMethod = targetMethod2.method;
        this.threadMode = targetMethod2.threadMode;
    }

    public int hashCode() {
        Object obj = this.subscriber;
        int i = 0;
        int hashCode = ((obj == null ? 0 : obj.hashCode()) + 31) * 31;
        Method method = this.targetMethod;
        if (method != null) {
            i = method.hashCode();
        }
        return hashCode + i;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        Subscription subscription = (Subscription) obj;
        Object obj2 = this.subscriber;
        if (obj2 == null) {
            if (subscription.subscriber != null) {
                return false;
            }
        } else if (!obj2.equals(subscription.subscriber)) {
            return false;
        }
        Method method = this.targetMethod;
        if (method == null) {
            if (subscription.targetMethod != null) {
                return false;
            }
        } else if (!method.equals(subscription.targetMethod)) {
            return false;
        }
        return true;
    }
}
