package com.apicloud.a.i.a.aa;

import android.content.Context;
import android.os.Build;
import android.os.SystemClock;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.widget.EdgeEffect;
import android.widget.HorizontalScrollView;
import com.apicloud.third.yoga.YogaNode;
import com.apicloud.third.yoga.YogaUnit;
import com.apicloud.third.yoga.YogaValue;
import java.lang.reflect.Field;

/* access modifiers changed from: package-private */
public class h extends HorizontalScrollView implements d {
    private static int l;
    private static int m = ViewConfiguration.getJumpTapTimeout();
    private e a;
    private boolean b;
    private boolean c = true;
    private boolean d;
    private boolean e;
    private k f;
    private EdgeEffect g;
    private b h;
    private float i;
    private float j;
    private long k;

    public h(Context context) {
        super(context, null, 16843603);
        setFillViewport(true);
        setClipToPadding(false);
        e(true);
        setHorizontalScrollBarEnabled(true);
        setScrollBarSize(com.apicloud.a.g.h.a(4));
        setScrollBarStyle(33554432);
        setHorizontalFadingEdgeEnabled(false);
    }

    private void a(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        float rawX = motionEvent.getRawX();
        float rawY = motionEvent.getRawY();
        if (action == 0) {
            this.i = rawX;
            this.j = rawY;
            this.k = SystemClock.elapsedRealtime();
        } else if (action == 1 && a(rawX, rawY)) {
            d();
        }
    }

    private final boolean a(float f2, float f3) {
        long elapsedRealtime = SystemClock.elapsedRealtime() - this.k;
        float abs = Math.abs(f2 - this.i);
        float abs2 = Math.abs(f3 - this.j);
        if (elapsedRealtime > ((long) m)) {
            return false;
        }
        int i2 = l;
        return abs <= ((float) i2) && abs2 <= ((float) i2);
    }

    private void d(int i2) {
        if (Build.VERSION.SDK_INT >= 21) {
            try {
                if (Build.VERSION.SDK_INT >= 29) {
                    super.setEdgeEffectColor(i2);
                } else if (this.g != null) {
                    this.g.setColor(i2);
                } else {
                    Field declaredField = HorizontalScrollView.class.getDeclaredField("mEdgeGlowLeft");
                    Field declaredField2 = HorizontalScrollView.class.getDeclaredField("mEdgeGlowRight");
                    declaredField.setAccessible(true);
                    declaredField2.setAccessible(true);
                    EdgeEffect edgeEffect = new EdgeEffect(getContext());
                    this.g = edgeEffect;
                    edgeEffect.setColor(i2);
                    declaredField.set(this, this.g);
                    declaredField2.set(this, this.g);
                }
            } catch (Exception unused) {
            }
        }
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void a(int i2) {
        if (2 != getOverScrollMode()) {
            d(i2);
        }
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void a(int i2, int i3) {
        this.b = true;
        super.smoothScrollTo(i2, i3);
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void a(b bVar) {
        this.h = bVar;
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void a(e eVar) {
        e eVar2 = this.a;
        if (eVar2 != null) {
            super.removeView(eVar2);
        }
        this.a = eVar;
        super.addView(eVar, -1, -1);
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void a(k kVar) {
        this.f = kVar;
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void a(boolean z) {
        this.c = z;
    }

    @Override // com.apicloud.a.i.a.aa.d
    public boolean a() {
        return isHorizontalScrollBarEnabled();
    }

    @Override // com.apicloud.a.i.a.aa.d
    public int b() {
        return this.a.getRight();
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void b(boolean z) {
        this.e = z;
    }

    @Override // com.apicloud.a.i.a.aa.d
    public boolean b(int i2) {
        return fullScroll(i2);
    }

    @Override // com.apicloud.a.i.a.aa.d
    public int c() {
        return getScrollX();
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void c(boolean z) {
        setHorizontalScrollBarEnabled(z);
    }

    @Override // com.apicloud.a.i.a.aa.d
    public boolean c(int i2) {
        return canScrollHorizontally(i2);
    }

    /* access modifiers changed from: protected */
    public void d() {
        b bVar = this.h;
        if (bVar != null) {
            bVar.b();
        }
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void d(boolean z) {
        this.d = z;
    }

    public final void e(boolean z) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.setNestedScrollingEnabled(true);
        }
    }

    public boolean fullScroll(int i2) {
        this.b = true;
        return super.fullScroll(i2);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int size = View.MeasureSpec.getSize(i2);
        YogaNode A = this.a.A();
        int childCount = A.getChildCount();
        for (int i4 = 0; i4 < childCount; i4++) {
            YogaNode childAt = A.getChildAt(i4);
            YogaValue width = childAt.getWidth();
            if (width != null && YogaUnit.PERCENT == width.unit) {
                childAt.setWidth((width.value / 100.0f) * ((float) size));
            }
            YogaValue minWidth = childAt.getMinWidth();
            if (minWidth != null && YogaUnit.PERCENT == minWidth.unit) {
                childAt.setMinWidth((minWidth.value / 100.0f) * ((float) size));
            }
            YogaValue maxWidth = childAt.getMaxWidth();
            if (maxWidth != null && YogaUnit.PERCENT == maxWidth.unit) {
                childAt.setMaxWidth((maxWidth.value / 100.0f) * ((float) size));
            }
        }
        super.onMeasure(i2, i3);
    }

    /* access modifiers changed from: protected */
    public void onOverScrolled(int i2, int i3, boolean z, boolean z2) {
        super.onOverScrolled(i2, i3, z, z2);
        k kVar = this.f;
        if (kVar != null) {
            kVar.a(i2, i3, z, z2);
        }
    }

    /* access modifiers changed from: protected */
    public void onScrollChanged(int i2, int i3, int i4, int i5) {
        k kVar;
        super.onScrollChanged(i2, i3, i4, i5);
        if (!this.b && (kVar = this.f) != null) {
            kVar.a(i2, i3, i4, i5);
        }
        this.b = false;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        a(motionEvent);
        if (!this.c) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void scrollTo(int i2, int i3) {
        this.b = true;
        super.scrollTo(i2, i3);
    }

    @Override // com.apicloud.a.i.a.aa.d
    public void setOverScrollMode(int i2) {
        super.setOverScrollMode(i2);
    }
}
