package com.artifex.mupdf;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.uzmap.pkg.uzcore.UZResourcesIDFinder;

public class OutlineAdapter extends BaseAdapter {
    private final LayoutInflater mInflater;
    private final OutlineItem[] mItems;

    public Object getItem(int i) {
        return null;
    }

    public long getItemId(int i) {
        return 0;
    }

    public OutlineAdapter(LayoutInflater layoutInflater, OutlineItem[] outlineItemArr) {
        this.mInflater = layoutInflater;
        this.mItems = outlineItemArr;
    }

    public int getCount() {
        return this.mItems.length;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        if (view == null) {
            view = this.mInflater.inflate(UZResourcesIDFinder.getResLayoutID("outline_entry"), (ViewGroup) null);
        }
        int i2 = this.mItems[i].level;
        if (i2 > 8) {
            i2 = 8;
        }
        String str = "";
        for (int i3 = 0; i3 < i2; i3++) {
            str = str + "   ";
        }
        ((TextView) view.findViewById(UZResourcesIDFinder.getResIdID("title"))).setText(str + this.mItems[i].title);
        ((TextView) view.findViewById(UZResourcesIDFinder.getResIdID("page"))).setText(String.valueOf(this.mItems[i].page + 1));
        return view;
    }
}
