package com.artifex.mupdf;

import android.graphics.RectF;

/* access modifiers changed from: package-private */
/* compiled from: MuPDFActivity */
public class SearchTaskResult {
    private static SearchTaskResult singleton;
    public final int pageNumber;
    public final RectF[] searchBoxes;
    public final String txt;

    SearchTaskResult(String str, int i, RectF[] rectFArr) {
        this.txt = str;
        this.pageNumber = i;
        this.searchBoxes = rectFArr;
    }

    public static SearchTaskResult get() {
        return singleton;
    }

    public static void set(SearchTaskResult searchTaskResult) {
        singleton = searchTaskResult;
    }
}
