package com.artifex.mupdf.fitz;

import java.io.OutputStream;

public class BufferOutputStream extends OutputStream {
    protected Buffer buffer;
    protected int position = 0;
    protected int resetPosition;

    public BufferOutputStream(Buffer buffer2) {
        this.buffer = buffer2;
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr) {
        this.buffer.writeBytes(bArr);
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr, int i, int i2) {
        this.buffer.writeBytesFrom(bArr, i, i2);
    }

    @Override // java.io.OutputStream
    public void write(int i) {
        this.buffer.writeByte((byte) i);
    }
}
