package com.artifex.mupdf.fitz;

public class Separations {
    public static final int SEPARATION_COMPOSITE = 0;
    public static final int SEPARATION_DISABLED = 2;
    public static final int SEPARATION_SPOT = 1;
    private long pointer;

    public native boolean areSeparationsControllable();

    /* access modifiers changed from: protected */
    public native void finalize();

    public native int getNumberOfSeparations();

    public native Separation getSeparation(int i);

    public native int getSeparationBehavior(int i);

    public native void setSeparationBehavior(int i, int i2);

    static {
        Context.init();
    }

    public void destroy() {
        finalize();
        this.pointer = 0;
    }

    protected Separations(long j) {
        this.pointer = j;
    }
}
