package com.deepe.b;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.WindowManager;
import com.deepe.c.i.d;
import com.deepe.f.b;
import com.deepe.f.c;
import com.eclipsesource.v8.Platform;
import com.uzmap.pkg.uzcore.e;
import com.uzmap.pkg.uzcore.g.f;
import org.json.JSONObject;

public final class a {
    private static a q;
    public DisplayMetrics a;
    public PackageInfo b;
    public ApplicationInfo c;
    public int d;
    public int e;
    public String f;
    public String g;
    public String h;
    public int i;
    public String j;
    public String k = Build.VERSION.RELEASE;
    public String l = Platform.ANDROID;
    public String m;
    public String n;
    private Context o;
    private b p;

    private a(Context context, b bVar) {
        this.m = !f.a(Build.MODEL) ? Build.MODEL : "unknown";
        this.p = bVar;
        a(context);
    }

    public static a a(Context context, b bVar) {
        if (q == null) {
            q = new a(context, bVar);
        }
        return q;
    }

    public static String a() {
        return "v1";
    }

    private void a(Context context) {
        this.o = context.getApplicationContext();
        String packageName = context.getPackageName();
        PackageManager packageManager = context.getPackageManager();
        try {
            WindowManager windowManager = (WindowManager) context.getSystemService("window");
            this.a = new DisplayMetrics();
            if (Build.VERSION.SDK_INT >= 17) {
                windowManager.getDefaultDisplay().getRealMetrics(this.a);
            } else {
                windowManager.getDefaultDisplay().getMetrics(this.a);
            }
            this.b = packageManager.getPackageInfo(packageName, 22656);
            this.c = packageManager.getApplicationInfo(packageName, 22656);
            this.f = this.b.versionName;
            this.g = this.c.loadLabel(packageManager).toString();
            this.i = this.b.versionCode;
            this.j = this.b.versionName;
            this.n = this.b.packageName;
            this.d = this.a.heightPixels;
            this.e = this.a.widthPixels;
            Bundle bundle = this.c.metaData;
            if (bundle != null) {
                String string = bundle.getString("uz_version");
                this.h = string;
                if (string == null) {
                    this.h = "1.2.0";
                }
            }
            if (this.p.g()) {
                this.f = this.p.i();
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static a b() {
        a aVar = q;
        if (aVar != null) {
            return aVar;
        }
        throw new IllegalAccessError("DeviceAndAppInfo is not initialize");
    }

    public String a(String str) {
        try {
            Bundle bundle = this.c.metaData;
            if (f.a((CharSequence) str)) {
                str = f.d("VERfQ0hBTk5FTF9JRA==");
                if (!bundle.containsKey(str)) {
                    str = f.d("QVBJQ0xPVURfQ0hBTk5FTA==");
                }
            }
            Object obj = bundle.get(str);
            if (obj != null) {
                return obj.toString();
            }
            return null;
        } catch (Exception unused) {
            return null;
        }
    }

    public Context c() {
        return this.o;
    }

    public int d() {
        return com.deepe.b.f.a.b();
    }

    public String e() {
        String f2 = f.a().f();
        return d.a(f2) ? e.a().i().q : f2;
    }

    public boolean f() {
        return d.a("true", h()) && !e.a().m();
    }

    public boolean g() {
        return e.a().i().p && !d.a(e.a().i().q);
    }

    public String h() {
        return e.a().i().r;
    }

    public String i() {
        return e.a().i().s;
    }

    public String j() {
        return k();
    }

    public String k() {
        return this.p.a();
    }

    public String l() {
        return this.p.c();
    }

    public String m() {
        return this.p.d();
    }

    public boolean n() {
        return this.p.e();
    }

    public boolean o() {
        return this.p.f();
    }

    public boolean p() {
        return this.p.g();
    }

    public boolean q() {
        return this.p.l();
    }

    public boolean r() {
        return this.p.h();
    }

    public String s() {
        return this.p.j();
    }

    public String t() {
        return this.p.m();
    }

    public String u() {
        return this.p.n();
    }

    public String v() {
        return this.p.o();
    }

    public JSONObject w() {
        JSONObject jSONObject = new JSONObject();
        try {
            f a2 = f.a();
            boolean z = false;
            String b2 = a2.b("appVersion", (String) null);
            String str = this.f;
            if (b2 != null && !str.equals(b2)) {
                z = true;
            }
            a2.a("appVersion", str);
            jSONObject.put("isNewVersion", z);
            jSONObject.put("appVersion", str);
            jSONObject.put("widgetVersion", s());
            jSONObject.put("engineVersion", this.h);
            String a3 = a((String) null);
            if (a3 == null) {
                a3 = "apicloud";
            }
            jSONObject.put("channel", a3);
            jSONObject.put("jailbroken", c.a());
            jSONObject.put("model", this.m);
            String str2 = Build.MANUFACTURER;
            String str3 = "unknown";
            if ("|".equals(str2)) {
                str2 = str3;
            }
            jSONObject.put("manufacturer", str2);
            String g2 = com.deepe.f.a.g();
            if (g2 == null) {
                g2 = str3;
            }
            jSONObject.put("operator", g2);
            jSONObject.put("systemVersion", this.k);
            jSONObject.put("systemType", this.l);
            jSONObject.put("resolution", String.valueOf(this.e) + "*" + this.d);
            jSONObject.put("width", this.e);
            jSONObject.put("height", this.d);
            String a4 = com.deepe.f.a.d().a();
            if (a4 != null) {
                str3 = a4;
            }
            jSONObject.put("connectedType", str3);
            jSONObject.put("deviceId", b.a(com.deepe.a.f()));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return jSONObject;
    }
}
