package com.deepe.c.j.c;

import android.os.Build;
import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import java.security.KeyStore;
import java.security.SecureRandom;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.KeyManagerFactory;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;

public class c extends SSLSocketFactory {
    public static final HostnameVerifier a = new e();
    static int b = Build.VERSION.SDK_INT;
    static final String[] c = {"TLSv1.2", "TLSv1.1"};
    private SSLContext d;

    public c(KeyStore keyStore, String str) throws Exception {
        this.d = SSLContext.getInstance(b < 21 ? "TLSv1.2" : "TLS");
        KeyManagerFactory instance = KeyManagerFactory.getInstance("X509");
        instance.init(keyStore, str != null ? str.toCharArray() : null);
        this.d.init(instance.getKeyManagers(), new TrustManager[]{new d(keyStore)}, new SecureRandom());
    }

    static Socket a(Socket socket) {
        if (b < 21) {
            ((SSLSocket) socket).setEnabledProtocols(c);
        }
        return socket;
    }

    @Override // javax.net.SocketFactory
    public Socket createSocket(String str, int i) throws IOException, UnknownHostException {
        return a(this.d.getSocketFactory().createSocket(str, i));
    }

    @Override // javax.net.SocketFactory
    public Socket createSocket(String str, int i, InetAddress inetAddress, int i2) throws IOException, UnknownHostException {
        return a(this.d.getSocketFactory().createSocket(str, i, inetAddress, i2));
    }

    @Override // javax.net.SocketFactory
    public Socket createSocket(InetAddress inetAddress, int i) throws IOException {
        return a(this.d.getSocketFactory().createSocket(inetAddress, i));
    }

    @Override // javax.net.SocketFactory
    public Socket createSocket(InetAddress inetAddress, int i, InetAddress inetAddress2, int i2) throws IOException {
        return a(this.d.getSocketFactory().createSocket(inetAddress, i, inetAddress2, i2));
    }

    @Override // javax.net.ssl.SSLSocketFactory
    public Socket createSocket(Socket socket, String str, int i, boolean z) throws IOException {
        return a(this.d.getSocketFactory().createSocket(socket, str, i, z));
    }

    public String[] getDefaultCipherSuites() {
        return this.d.getSocketFactory().getDefaultCipherSuites();
    }

    public String[] getSupportedCipherSuites() {
        return this.d.getSocketFactory().getSupportedCipherSuites();
    }
}
