package com.deepe.c.j;

import android.net.TrafficStats;
import android.os.Build;
import android.os.Process;
import android.os.SystemClock;
import java.util.concurrent.BlockingQueue;

public class i extends Thread {
    private final BlockingQueue<k<?>> a;
    private final h b;
    private final a c;
    private final n d;
    private volatile boolean e = false;

    public i(BlockingQueue<k<?>> blockingQueue, h hVar, a aVar, n nVar) {
        this.a = blockingQueue;
        this.b = hVar;
        this.c = aVar;
        this.d = nVar;
    }

    private void a(k<?> kVar) {
        if (Build.VERSION.SDK_INT >= 14) {
            TrafficStats.setThreadStatsTag(kVar.getTrafficStatsTag());
        }
    }

    private void a(k<?> kVar, p pVar) {
        this.d.a(kVar, kVar.parseNetworkError(pVar));
    }

    public void a() {
        this.e = true;
        interrupt();
    }

    public void run() {
        String str;
        Process.setThreadPriority(10);
        setName("##Thread-" + Thread.currentThread().getId() + "##");
        while (true) {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            try {
                k<?> take = this.a.take();
                try {
                    take.addMarker("network-queue-take");
                    if (take.isCanceled()) {
                        str = "network-discard-cancelled";
                    } else {
                        a(take);
                        j a2 = this.b.a(take);
                        take.addMarker("network-http-complete");
                        if (!a2.d || !take.hasHadResponseDelivered()) {
                            m<?> parseNetworkResponse = take.parseNetworkResponse(a2);
                            take.addMarker("network-parse-complete");
                            if (take.shouldCache() && parseNetworkResponse.b != null) {
                                this.c.a(take.getCacheKey(), parseNetworkResponse.b);
                                take.addMarker("network-cache-written");
                            }
                            take.markDelivered();
                            this.d.a(take, parseNetworkResponse);
                        } else {
                            str = "not-modified";
                        }
                    }
                    take.finish(str);
                } catch (p e2) {
                    e2.a(SystemClock.elapsedRealtime() - elapsedRealtime);
                    a(take, e2);
                } catch (Exception e3) {
                    q.a(e3, "Unhandled exception %s", e3.toString());
                    p pVar = new p(e3);
                    pVar.a(SystemClock.elapsedRealtime() - elapsedRealtime);
                    this.d.a(take, pVar);
                }
            } catch (InterruptedException unused) {
                if (this.e) {
                    return;
                }
            }
        }
    }
}
