package com.eclipsesource.v8.debug;

import com.eclipsesource.v8.Releasable;
import com.eclipsesource.v8.V8Object;

public class EventData implements Releasable {
    protected V8Object v8Object;

    EventData(V8Object v8Object2) {
        this.v8Object = v8Object2.twin();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, com.eclipsesource.v8.Releasable
    public void close() {
        if (!this.v8Object.isReleased()) {
            this.v8Object.close();
        }
    }

    @Override // com.eclipsesource.v8.Releasable
    @Deprecated
    public void release() {
        close();
    }
}
