package com.uzmap.pkg.b.a;

import android.app.Activity;
import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.v4.view.ViewCompat;
import android.support.v4.widget.ExploreByTouchHelper;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import com.deepe.c.a.a;
import com.deepe.c.a.e;
import com.deepe.c.i.n;
import java.lang.reflect.Field;
import java.lang.reflect.Method;

public final class i {
    static final int a = Build.VERSION.SDK_INT;
    private static SparseArray<Boolean> b = new SparseArray<>();

    public static int a(int i) {
        return i & 48;
    }

    public static View a(Context context) {
        Activity a2 = a.a(context);
        if (a2 == null) {
            return null;
        }
        return a2.getWindow().getDecorView().getRootView();
    }

    public static void a(Activity activity) {
        Window window = activity.getWindow();
        if (a >= 21) {
            window.setStatusBarColor(ViewCompat.MEASURED_STATE_MASK);
        }
    }

    public static void a(Activity activity, Drawable drawable) {
        if (drawable != null && (drawable instanceof ColorDrawable)) {
            final ColorDrawable colorDrawable = (ColorDrawable) drawable;
            if (-3 != colorDrawable.getOpacity()) {
                final View rootView = activity.getWindow().getDecorView().getRootView();
                activity.runOnUiThread(new Runnable() {
                    /* class com.uzmap.pkg.b.a.i.AnonymousClass2 */

                    public void run() {
                        rootView.setBackground(colorDrawable);
                    }
                });
            }
        }
    }

    public static void a(Activity activity, boolean z) {
        if (z) {
            d(activity);
        } else {
            e(activity);
        }
    }

    public static void a(Activity activity, boolean z, boolean z2) {
        Window window = activity.getWindow();
        if (z) {
            window.addFlags(1024);
        } else {
            window.clearFlags(1024);
        }
        if (z2) {
            int systemUiVisibility = window.getDecorView().getSystemUiVisibility();
            window.getDecorView().setSystemUiVisibility(z ? systemUiVisibility | 4102 : systemUiVisibility & -4103);
        }
        if (!b(activity)) {
            d(activity, z);
        }
    }

    public static void a(Context context, final int i, final int i2, final int i3, final Boolean bool) {
        final Activity a2 = a.a(context);
        if (a2 != null) {
            a2.runOnUiThread(new Runnable() {
                /* class com.uzmap.pkg.b.a.i.AnonymousClass3 */

                public void run() {
                    i.b(a2, i, i2, i3, bool);
                }
            });
        }
    }

    public static void a(Context context, final boolean z) {
        final Activity a2 = a.a(context);
        if (a2 != null) {
            a2.runOnUiThread(new Runnable() {
                /* class com.uzmap.pkg.b.a.i.AnonymousClass1 */

                public void run() {
                    i.a(a2, z);
                }
            });
        }
    }

    private static void a(Window window) {
        if (a >= 28) {
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.layoutInDisplayCutoutMode = 1;
            window.setAttributes(attributes);
        }
    }

    private static boolean a(Window window, boolean z) {
        try {
            WindowManager.LayoutParams attributes = window.getAttributes();
            Field declaredField = WindowManager.LayoutParams.class.getDeclaredField("MEIZU_FLAG_DARK_STATUS_BAR_ICON");
            Field declaredField2 = WindowManager.LayoutParams.class.getDeclaredField("meizuFlags");
            declaredField.setAccessible(true);
            declaredField2.setAccessible(true);
            int i = declaredField.getInt(null);
            int i2 = declaredField2.getInt(attributes);
            declaredField2.setInt(attributes, z ? i2 | i : (i ^ -1) & i2);
            window.setAttributes(attributes);
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    /* access modifiers changed from: private */
    public static void b(Activity activity, int i, int i2, int i3, Boolean bool) {
        Window window = activity.getWindow();
        if (a >= 21) {
            if (Integer.MAX_VALUE != i) {
                window.clearFlags(67108864);
                window.addFlags(ExploreByTouchHelper.INVALID_ID);
                window.setStatusBarColor(i);
            }
            if (Integer.MAX_VALUE != i2) {
                if (i2 == 0) {
                    window.setNavigationBarColor(-1);
                    return;
                } else {
                    window.addFlags(ExploreByTouchHelper.INVALID_ID);
                    window.setNavigationBarColor(i2);
                }
            }
            if (Integer.MAX_VALUE != i3 && Build.VERSION.SDK_INT >= 28) {
                k.a(activity, i3);
            }
        }
        if (a >= 19 && bool != null) {
            if (b.b() && (a < 23 || b.d() < 9)) {
                b(window, bool.booleanValue());
            } else if (b.a() && a < 24) {
                a(window, bool.booleanValue());
            } else if (a >= 23) {
                c(window, bool.booleanValue());
            }
        }
    }

    public static void b(Activity activity, boolean z) {
        a(activity, z);
    }

    public static boolean b(Activity activity) {
        Boolean bool = b.get(activity.hashCode());
        return bool != null && bool.booleanValue();
    }

    public static boolean b(Context context) {
        return a(context.getResources().getConfiguration().uiMode) == 32;
    }

    private static boolean b(Window window, boolean z) {
        if (window != null) {
            try {
                Class<?> cls = window.getClass();
                Class<?> a2 = n.a("android.view.MiuiWindowManager$LayoutParams");
                int i = a2.getField("EXTRA_FLAG_STATUS_BAR_DARK_MODE").getInt(a2);
                Method method = cls.getMethod("setExtraFlags", Integer.TYPE, Integer.TYPE);
                if (z) {
                    method.invoke(window, Integer.valueOf(i), Integer.valueOf(i));
                    return true;
                }
                method.invoke(window, 0, Integer.valueOf(i));
                return true;
            } catch (Exception unused) {
            }
        }
        return false;
    }

    public static int c(Context context) {
        return a(context.getResources().getConfiguration().uiMode);
    }

    public static void c(Activity activity) {
        e.b(activity);
    }

    private static void c(Window window, boolean z) {
        int systemUiVisibility = window.getDecorView().getSystemUiVisibility();
        if (z != ((systemUiVisibility & 8192) == 8192)) {
            window.getDecorView().setSystemUiVisibility(z ? systemUiVisibility | 8192 : systemUiVisibility & -8193);
        }
    }

    public static boolean c(Activity activity, boolean z) {
        Window window = activity.getWindow();
        if (z) {
            window.addFlags(128);
            return true;
        }
        window.clearFlags(128);
        return true;
    }

    private static void d(Activity activity) {
        Window window = activity.getWindow();
        window.getDecorView().setSystemUiVisibility(window.getDecorView().getSystemUiVisibility() | 1280);
        window.addFlags(Build.VERSION.SDK_INT < 21 ? -2080374784 : ExploreByTouchHelper.INVALID_ID);
        if (Build.VERSION.SDK_INT >= 21) {
            window.setStatusBarColor(0);
        }
        View childAt = ((ViewGroup) activity.findViewById(16908290)).getChildAt(0);
        if (childAt != null) {
            if (childAt != null) {
                childAt.setSystemUiVisibility(1024);
                childAt.requestLayout();
            }
            d(activity, true);
            a(window);
            b.put(activity.hashCode(), true);
        }
    }

    private static void d(Activity activity, boolean z) {
        if ((activity.getWindow().getAttributes().softInputMode & 32) == 0) {
            if (z) {
                e.a(activity);
            } else {
                e.b(activity);
            }
        }
    }

    private static void e(Activity activity) {
        Window window = activity.getWindow();
        window.getDecorView().setSystemUiVisibility(window.getDecorView().getSystemUiVisibility() & -1281);
        window.clearFlags(Build.VERSION.SDK_INT < 21 ? 67108864 : 0);
        if (Build.VERSION.SDK_INT >= 21) {
            window.setStatusBarColor(ViewCompat.MEASURED_STATE_MASK);
        }
        View childAt = ((ViewGroup) activity.findViewById(16908290)).getChildAt(0);
        if (childAt != null) {
            if (childAt != null) {
                childAt.setSystemUiVisibility(0);
                childAt.requestLayout();
            }
            d(activity, false);
            a(window);
            b.put(activity.hashCode(), false);
        }
    }
}
