package com.uzmap.pkg.b.f;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import com.uzmap.pkg.uzcore.external.e;
import com.uzmap.pkg.uzkit.UZOpenApi;
import java.util.Set;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public final class a {
    public static e a(Uri uri) {
        if (!uri.isHierarchical()) {
            e eVar = new e();
            eVar.a(UZOpenApi.DATA, uri.toString());
            return eVar;
        }
        Set<String> queryParameterNames = uri.getQueryParameterNames();
        if (queryParameterNames == null) {
            return null;
        }
        e eVar2 = new e();
        for (String str : queryParameterNames) {
            eVar2.a(str, uri.getQueryParameter(str));
        }
        e eVar3 = new e();
        eVar3.a("iosUrl", "");
        eVar3.a(UZOpenApi.APP_PARAM, eVar2);
        eVar3.a(UZOpenApi.DATA, uri.toString());
        eVar3.a("iosUrl", uri.toString());
        return eVar3;
    }

    public static String a(Intent intent) {
        e a;
        if (intent == null) {
            return "{}";
        }
        Uri data = intent.getData();
        if (!(data == null || (a = a(data)) == null)) {
            return a.a().toString();
        }
        String stringExtra = intent.getStringExtra(UZOpenApi.APP_PARAM);
        if (stringExtra != null) {
            return stringExtra;
        }
        Bundle extras = intent.getExtras();
        if (extras == null) {
            return null;
        }
        JSONObject jSONObject = new JSONObject();
        for (String str : extras.keySet()) {
            Object obj = extras.get(str);
            if (obj == null || !obj.getClass().isArray()) {
                jSONObject.put(str, obj);
            } else if (obj instanceof Object[]) {
                Object[] objArr = (Object[]) obj;
                JSONArray jSONArray = new JSONArray();
                for (Object obj2 : objArr) {
                    try {
                        jSONArray.put(obj2);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                try {
                    jSONObject.put(str, jSONArray);
                } catch (JSONException e2) {
                    e2.printStackTrace();
                }
            }
        }
        return jSONObject.toString();
    }
}
