package com.uzmap.pkg.uzapp;

import android.app.DownloadManager;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Parcel;
import com.deepe.c.a.i;
import com.deepe.f.a.d;
import com.deepe.f.a.e;
import com.deepe.sdk.ViewEntity;
import com.uzmap.pkg.b.a.g;
import org.json.JSONObject;

public class b {
    private static b a;

    public static b a() {
        if (a == null) {
            a = new b();
        }
        return a;
    }

    private void a(Context context) {
        Intent intent = new Intent("android.intent.action.VIEW_DOWNLOADS");
        intent.setFlags(268435456);
        context.startActivity(intent);
    }

    private void b(Context context, Intent intent) {
        long[] longArrayExtra = intent.getLongArrayExtra("extra_click_download_ids");
        if (longArrayExtra == null || longArrayExtra.length == 0) {
            a(context);
            return;
        }
        long j = longArrayExtra[0];
        DownloadManager n = i.n(context);
        Uri uriForDownloadedFile = n.getUriForDownloadedFile(j);
        if (uriForDownloadedFile == null) {
            a(context);
            return;
        }
        Intent intent2 = new Intent("android.intent.action.VIEW");
        intent2.setDataAndType(uriForDownloadedFile, n.getMimeTypeForDownloadedFile(j));
        intent2.setFlags(268435456);
        try {
            context.startActivity(intent2);
        } catch (ActivityNotFoundException unused) {
            a(context);
        }
    }

    private void c(Context context, Intent intent) {
        DownloadManager n = i.n(context);
        long longExtra = intent.getLongExtra("extra_download_id", -1);
        if (longExtra > 0) {
            String mimeTypeForDownloadedFile = n.getMimeTypeForDownloadedFile(longExtra);
            Uri uriForDownloadedFile = n.getUriForDownloadedFile(longExtra);
            if (uriForDownloadedFile != null) {
                String uri = uriForDownloadedFile.toString();
                Intent intent2 = new Intent("UZMAP.DOWNLOAD.COMPLETE");
                intent.setPackage(context.getPackageName());
                intent.putExtra("id", longExtra);
                intent.putExtra("mimeType", mimeTypeForDownloadedFile);
                intent.putExtra(ViewEntity.KEY_URL, uri);
                context.sendBroadcast(intent2);
            }
        }
    }

    private void d(Context context, Intent intent) {
        com.deepe.f.a.b bVar;
        String str;
        String str2;
        d.b(context);
        byte[] byteArrayExtra = intent.getByteArrayExtra("intent.extra.alarm_raw");
        String str3 = null;
        boolean z = false;
        if (byteArrayExtra != null) {
            Parcel obtain = Parcel.obtain();
            obtain.unmarshall(byteArrayExtra, 0, byteArrayExtra.length);
            obtain.setDataPosition(0);
            bVar = com.deepe.f.a.b.a.createFromParcel(obtain);
        } else {
            bVar = null;
        }
        if (bVar == null) {
            e.a(context);
            return;
        }
        e.b(context, bVar.b);
        if (!bVar.f.b()) {
            e.a(context, bVar.b, false);
        } else {
            e.a(context);
        }
        if (System.currentTimeMillis() <= bVar.g + 1800000) {
            String str4 = com.deepe.b.af;
            String str5 = "{}";
            String str6 = bVar.i;
            if (!com.deepe.c.i.d.a((CharSequence) str6)) {
                try {
                    JSONObject jSONObject = new JSONObject(str6);
                    str2 = jSONObject.optString("title");
                    try {
                        str4 = jSONObject.optString("content", com.deepe.b.af);
                        str5 = jSONObject.optString("extra");
                        z = jSONObject.optBoolean("openApp", false);
                        str3 = jSONObject.optString("soundUri");
                    } catch (Exception unused) {
                    }
                } catch (Exception unused2) {
                    str2 = null;
                }
                str3 = str2;
                str = str3;
            } else {
                str = null;
            }
            g.a aVar = new g.a();
            aVar.a = str3;
            aVar.b = str4;
            aVar.c = str5;
            aVar.e = true;
            aVar.f = z;
            aVar.a(str);
            g.a(context).a(aVar);
        }
    }

    public void a(Context context, Intent intent) {
        if (context != null && intent != null) {
            String action = intent.getAction();
            if ("android.intent.action.DOWNLOAD_COMPLETE".equals(action)) {
                c(context, intent);
            } else if ("android.intent.action.DOWNLOAD_NOTIFICATION_CLICKED".equals(action)) {
                b(context, intent);
            } else if ("android.intent.appclock.notification".equals(action)) {
                d(context, intent);
            }
        }
    }
}
