package com.uzmap.pkg.uzcore.i.b;

import android.content.ActivityNotFoundException;
import android.content.ClipData;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import com.apicloud.arcfacepublic.faceserver.FaceServer;
import com.uzmap.pkg.uzapp.DataProvider;
import com.uzmap.pkg.uzcore.f;
import com.uzmap.pkg.uzcore.uzmodule.ActivityResult;
import java.io.File;
import java.io.IOException;

public class h extends g {
    private ValueCallback<Uri[]> g;
    private WebChromeClient.FileChooserParams h;

    public h(Context context, ActivityResult activityResult) {
        super(context, activityResult);
    }

    private Intent a(Uri uri, boolean z) {
        if (uri != null) {
            this.b = uri;
            Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
            intent.setFlags(3);
            intent.putExtra("output", this.b);
            intent.setClipData(ClipData.newUri(this.f.getContentResolver(), DataProvider.a(this.f), this.b));
            return intent;
        }
        throw new IllegalArgumentException();
    }

    private Uri a(String str) {
        try {
            File file = new File(this.f.getFilesDir(), "captured_media");
            if (!file.exists()) {
                if (!file.mkdir()) {
                    throw new RuntimeException("Folder cannot be created.");
                }
            }
            return DataProvider.a(this.f, File.createTempFile(String.valueOf(System.currentTimeMillis()), str, file));
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    private void a(Intent intent) {
        try {
            f b = f.b(this.f);
            if (b != null) {
                b.a(this.c, intent, 20107, true);
                return;
            }
            throw new ActivityNotFoundException();
        } catch (ActivityNotFoundException unused) {
            com.uzmap.pkg.uzcore.external.h.a("文件上传功能已停用");
        }
    }

    private Uri[] b(int i, Intent intent) {
        if (i == 0) {
            return null;
        }
        Uri data = (intent == null || i != -1) ? null : intent.getData();
        if (data == null && intent == null && i == -1 && this.b != null) {
            data = this.b;
        }
        if (data == null) {
            return null;
        }
        return new Uri[]{data};
    }

    private Intent[] c(boolean z) {
        String[] acceptTypes = this.h.getAcceptTypes();
        String str = (acceptTypes == null || acceptTypes.length <= 0) ? "*/*" : acceptTypes[0];
        if (str.equals("image/*")) {
            return new Intent[]{a(a(FaceServer.IMG_SUFFIX), z)};
        } else if (str.equals("video/*")) {
            return new Intent[]{a(z)};
        } else if (str.equals("audio/*")) {
            return new Intent[]{b(z)};
        } else {
            return new Intent[]{a(a(FaceServer.IMG_SUFFIX), z), a(z), b(z)};
        }
    }

    @Override // com.uzmap.pkg.uzcore.i.b.g
    public void a(int i, Intent intent) {
        this.g.onReceiveValue(b(i, intent));
        this.d = true;
    }

    public void a(ValueCallback<Uri[]> valueCallback, WebChromeClient.FileChooserParams fileChooserParams) {
        Intent intent;
        if (this.g == null) {
            CharSequence title = fileChooserParams.getTitle();
            boolean isCaptureEnabled = fileChooserParams.isCaptureEnabled();
            boolean z = fileChooserParams.getMode() == 1;
            this.g = valueCallback;
            this.h = fileChooserParams;
            Intent[] c = c(z);
            if (c != null && c.length != 0) {
                if (!isCaptureEnabled || c.length != 1) {
                    Intent intent2 = new Intent("android.intent.action.CHOOSER");
                    intent2.putExtra("android.intent.extra.INITIAL_INTENTS", c);
                    if (title != null) {
                        intent2.putExtra("android.intent.extra.TITLE", title);
                    }
                    intent2.putExtra("android.intent.extra.INTENT", fileChooserParams.createIntent());
                    intent = intent2;
                } else {
                    intent = c[0];
                }
                a(intent);
            }
        }
    }
}
