package com.uzmap.pkg.uzcore.uzmodule;

import android.content.Context;
import android.webkit.ValueCallback;
import com.uzmap.pkg.uzcore.a.a;
import com.uzmap.pkg.uzcore.a.b;
import com.uzmap.pkg.uzcore.a.d;
import com.uzmap.pkg.uzcore.aa;
import com.uzmap.pkg.uzcore.am;
import com.uzmap.pkg.uzcore.c.c;
import com.uzmap.pkg.uzcore.external.e;
import com.uzmap.pkg.uzcore.x;
import com.uzmap.pkg.uzkit.data.UZWidgetInfo;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;

public class UZModuleContext implements b {
    private int a;
    private d b;
    private b c;
    private String d;

    public UZModuleContext() {
        this(null);
    }

    public UZModuleContext(b bVar) {
        this(bVar, (d) null);
    }

    public UZModuleContext(b bVar, d dVar) {
        this.a = -1;
        this.b = dVar;
        if (bVar != null) {
            this.a = bVar.optInt("cbId", -1);
            b optJSONContext = bVar.optJSONContext("arg");
            this.c = optJSONContext != null ? optJSONContext : bVar;
        }
    }

    public UZModuleContext(String str, d dVar) {
        this(parse(str), dVar);
    }

    public static int dipToPix(int i) {
        return aa.d(i);
    }

    protected static final b parse(String str) {
        if (com.deepe.c.i.d.a((CharSequence) str)) {
            return null;
        }
        return a.b(str);
    }

    public static int pixToDip(int i) {
        return aa.c(i);
    }

    private boolean useAble() {
        d dVar = this.b;
        return dVar != null && !dVar.D();
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public JSONObject asJSONObject() {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.asJSONObject();
        }
        return null;
    }

    public final boolean async() {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optBoolean("sync");
        }
        return false;
    }

    public boolean callbackAble() {
        return this.a > 0 && useAble();
    }

    public final boolean empty() {
        return length() == 0;
    }

    public final void error(JSONObject jSONObject) {
        error(null, jSONObject, true);
    }

    public final void error(JSONObject jSONObject, JSONObject jSONObject2, boolean z) {
        evaluateScript(c.a(jSONObject, jSONObject2, this.a, z));
    }

    public final void error(JSONObject jSONObject, boolean z) {
        error(null, jSONObject, z);
    }

    /* access modifiers changed from: protected */
    public void evaluateScript(String str) {
        evaluateScript(str, null);
    }

    /* access modifiers changed from: protected */
    public void evaluateScript(String str, ValueCallback valueCallback) {
        if (callbackAble()) {
            this.b.a(str, valueCallback);
        } else if (com.deepe.d.a.a) {
            com.deepe.d.a.f("ModuleContext callback is unable: useAble=" + useAble() + ", callbackId=" + this.a + ", " + str);
        }
    }

    public final JSONObject get() {
        return asJSONObject();
    }

    public String getBaseUrl() {
        return this.d;
    }

    public final Context getContext() {
        d dVar = this.b;
        if (dVar != null) {
            return dVar.getContext();
        }
        return null;
    }

    public final b getJSONContext() {
        return this.c;
    }

    public final d getJsBridge() {
        return this.b;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public String getUrl() {
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final boolean has(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.has(str);
        }
        return false;
    }

    public final void interrupt() {
        evaluateScript(c.a(this.a));
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final boolean isNull(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.isNull(str);
        }
        return true;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public int length() {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.length();
        }
        return 0;
    }

    public String makeAbsUrl(String str) {
        d dVar = this.b;
        String b2 = dVar != null ? dVar.b() : this.d;
        return b2 == null ? str : x.a(b2, str);
    }

    public String makeRealPath(String str) {
        com.uzmap.pkg.uzcore.b.d z;
        return makeRealPath(str, (!useAble() || (z = this.b.z()) == null) ? null : z.l());
    }

    public String makeRealPath(String str, UZWidgetInfo uZWidgetInfo) {
        return am.b(str) ? str : !am.c(str) ? makeAbsUrl(str) : uZWidgetInfo == null ? str : x.a(str, uZWidgetInfo);
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public Object opt(String str) {
        return optObject(str);
    }

    public final <T> List<T> optArray(String str) {
        JSONArray optJSONArray = optJSONArray(str);
        if (optJSONArray != null) {
            return e.b(optJSONArray);
        }
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final boolean optBoolean(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optBoolean(str);
        }
        return false;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final boolean optBoolean(String str, boolean z) {
        b bVar = this.c;
        return bVar != null ? bVar.optBoolean(str, z) : z;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final double optDouble(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optDouble(str);
        }
        return Double.NaN;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final double optDouble(String str, double d2) {
        b bVar = this.c;
        return bVar != null ? bVar.optDouble(str, d2) : d2;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final int optInt(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optInt(str);
        }
        return 0;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final int optInt(String str, int i) {
        b bVar = this.c;
        return bVar != null ? bVar.optInt(str, i) : i;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final JSONArray optJSONArray(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optJSONArray(str);
        }
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final com.uzmap.pkg.uzcore.a.c optJSONBundle(String str) {
        JSONArray optJSONArray = optJSONArray(str);
        if (optJSONArray != null) {
            return b.a(optJSONArray);
        }
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public b optJSONContext(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optJSONContext(str);
        }
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final JSONObject optJSONObject(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optJSONObject(str);
        }
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final long optLong(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.optLong(str);
        }
        return 0;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final long optLong(String str, long j) {
        b bVar = this.c;
        return bVar != null ? bVar.optLong(str, j) : j;
    }

    public final Object optObject(String str) {
        b bVar = this.c;
        if (bVar != null) {
            return bVar.opt(str);
        }
        return null;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final String optString(String str) {
        b bVar = this.c;
        return bVar != null ? bVar.optString(str) : "";
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final String optString(String str, String str2) {
        b bVar = this.c;
        return bVar != null ? bVar.optString(str, str2) : str2;
    }

    @Override // com.uzmap.pkg.uzcore.uzmodule.b
    public final void set(String str, Object obj) {
        b bVar = this.c;
        if (bVar != null) {
            bVar.set(str, obj);
        }
    }

    public void setBaseUrl(String str) {
        this.d = str;
    }

    public final void setJsBridge(d dVar) {
        this.b = dVar;
    }

    public final void success(String str, boolean z, boolean z2) {
        evaluateScript(c.a(str, this.a, z, z2));
    }

    public final void success(JSONObject jSONObject) {
        success(jSONObject, true);
    }

    public final void success(JSONObject jSONObject, boolean z) {
        evaluateScript(c.a(jSONObject, this.a, z));
    }

    public String toString() {
        b bVar = this.c;
        return bVar != null ? bVar.toString() : super.toString();
    }
}
