package com.uzmap.pkg.uzcore.uzmodule.a;

import android.app.AlertDialog;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.NotificationCompat;
import com.apicloud.arcfacepublic.faceserver.FaceServer;
import com.artifex.mupdf.fitz.Document;
import com.deepe.a.d.b;
import com.deepe.c.a.b;
import com.deepe.c.c.ac;
import com.deepe.c.i.d;
import com.deepe.f.b.a;
import com.uzmap.pkg.b.a.e;
import com.uzmap.pkg.b.a.f;
import com.uzmap.pkg.b.a.i;
import com.uzmap.pkg.b.a.j;
import com.uzmap.pkg.uzcore.UZCoreUtil;
import com.uzmap.pkg.uzcore.aa;
import com.uzmap.pkg.uzcore.external.g;
import com.uzmap.pkg.uzcore.external.h;
import com.uzmap.pkg.uzcore.g.g;
import com.uzmap.pkg.uzcore.uzmodule.UZModule;
import com.uzmap.pkg.uzcore.uzmodule.UZModuleContext;
import com.uzmap.pkg.uzcore.uzmodule.b.k;
import com.uzmap.pkg.uzcore.uzmodule.b.l;
import com.uzmap.pkg.uzcore.uzmodule.b.m;
import com.uzmap.pkg.uzcore.uzmodule.b.n;
import com.uzmap.pkg.uzcore.x;
import com.uzmap.pkg.uzkit.UZOpenApi;
import com.uzmap.pkg.uzkit.UZUtility;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.net.URISyntaxException;
import java.util.Calendar;
import java.util.Iterator;
import org.json.JSONArray;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public final class c {
    private UZModule a;
    private AlertDialog b;
    private UZModuleContext c;
    private String d;
    private f e;
    private j f;
    private e.a g;
    private a h;

    public c(UZModule uZModule) {
        this.a = uZModule;
    }

    private String a(String str) {
        String str2 = "amr";
        if (!d.a((CharSequence) str) && !str2.equals(str)) {
            str = "pcm";
        }
        StringBuilder sb = new StringBuilder(String.valueOf(g()));
        sb.append("record_");
        sb.append(com.deepe.c.i.e.b());
        sb.append("_a.");
        if (str != null) {
            str2 = str;
        }
        sb.append(str2);
        return sb.toString();
    }

    private String a(String str, l lVar, int i) {
        int i2 = -1;
        int i3 = 100;
        try {
            int i4 = 95;
            if (lVar.c()) {
                i2 = lVar.i * lVar.j;
                i3 = 95;
            }
            String e2 = e();
            File file = new File(e2);
            File parentFile = file.getParentFile();
            if (parentFile != null && !parentFile.exists()) {
                parentFile.mkdirs();
            }
            if (i <= 0 || i2 >= 0) {
                i4 = i3;
            } else {
                BitmapFactory.Options options = new BitmapFactory.Options();
                try {
                    options.inJustDecodeBounds = true;
                    BitmapFactory.decodeFile(str, options);
                } catch (Exception unused) {
                }
                int i5 = aa.a().a * aa.a().b;
                int i6 = (options.outWidth * options.outHeight) / 2;
                i2 = i6 >= i5 ? i6 : i5;
            }
            Bitmap makeBitmap = UZUtility.makeBitmap(str, i2);
            if (makeBitmap != null && i > 0) {
                makeBitmap = ac.a(makeBitmap, i);
            }
            if (makeBitmap != null) {
                BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(file));
                if (lVar.f > 0) {
                    i4 = lVar.f;
                }
                makeBitmap.compress(Bitmap.CompressFormat.JPEG, i4, bufferedOutputStream);
                bufferedOutputStream.flush();
                bufferedOutputStream.close();
                makeBitmap.recycle();
                return e2;
            }
        } catch (Exception e3) {
            e3.printStackTrace();
        }
        return str;
    }

    private String a(boolean z, String str) {
        String b2 = g.a().b(this.a.getWidgetInfo().id);
        if (z) {
            b2 = com.deepe.c.a.j.b(str);
        }
        return String.valueOf(b2) + com.deepe.c.a.j.c((String) null);
    }

    private JSONObject a(int i, String str) {
        com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
        eVar.a(NotificationCompat.CATEGORY_MESSAGE, str);
        eVar.a(NotificationCompat.CATEGORY_STATUS, i);
        return eVar.a();
    }

    private void a(Intent intent, JSONObject jSONObject) {
        try {
            Iterator<String> keys = jSONObject.keys();
            while (keys.hasNext()) {
                String next = keys.next();
                String optString = jSONObject.optString(next);
                if (!(next == null || optString == null)) {
                    intent.putExtra(next, optString);
                }
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private String e() {
        return String.valueOf(h()) + "picture_" + com.deepe.c.i.e.b() + "_p" + FaceServer.IMG_SUFFIX;
    }

    private String f() {
        return String.valueOf(h()) + "capture_" + com.deepe.c.i.e.b() + "_c" + FaceServer.IMG_SUFFIX;
    }

    private String g() {
        return g.a().c(this.a.getWidgetInfo().id);
    }

    private String h() {
        return g.a().e(this.a.getWidgetInfo().id);
    }

    private void i() {
        File file = new File(g());
        if (!file.exists()) {
            file.mkdirs();
            return;
        }
        File[] listFiles = file.listFiles();
        if (listFiles != null && listFiles.length >= 30) {
            for (File file2 : listFiles) {
                file2.delete();
            }
        }
    }

    public JSONObject a(String str, String str2) {
        com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
        try {
            String a2 = com.deepe.c.i.g.a(str, str2);
            if (a2 != null) {
                eVar.a(UZOpenApi.DATA, a2);
                eVar.a(NotificationCompat.CATEGORY_STATUS, true);
            } else {
                eVar.a("code", 1);
                eVar.a(NotificationCompat.CATEGORY_MESSAGE, "找不到文件");
            }
        } catch (Exception e2) {
            e2.printStackTrace();
            eVar.a("code", 1);
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, e2.getMessage());
        }
        return eVar.a();
    }

    public JSONObject a(String str, String str2, boolean z) {
        com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
        try {
            com.deepe.c.i.g.a(str, str2, z);
            eVar.a(NotificationCompat.CATEGORY_STATUS, true);
        } catch (Exception e2) {
            e2.printStackTrace();
            eVar.a(NotificationCompat.CATEGORY_STATUS, false);
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, e2.getMessage());
        }
        return eVar.a();
    }

    public void a() {
        f fVar = this.e;
        if (fVar != null) {
            fVar.a();
        }
    }

    /* access modifiers changed from: protected */
    public void a(int i, Intent intent) {
        if (this.c != null) {
            boolean z = -1 == i;
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_STATUS, z);
            this.c.success(eVar.a(), true);
            this.c = null;
        }
    }

    public void a(Context context, int i, int i2, int i3, Boolean bool) {
        i.a(context, i, i2, i3, bool);
    }

    public void a(com.uzmap.pkg.uzcore.a aVar, k kVar) {
        b.a(this.a.activity(), aVar, kVar.b, kVar.a, kVar);
    }

    public void a(com.uzmap.pkg.uzcore.a aVar, m mVar) {
        b.a(this.a.activity(), aVar, mVar.optString("region", null), mVar.optString("destinationType", null), mVar, f());
    }

    public void a(UZModuleContext uZModuleContext) {
        JSONArray optJSONArray = uZModuleContext.optJSONArray("recipients");
        JSONArray optJSONArray2 = uZModuleContext.optJSONArray("attachments");
        String optString = uZModuleContext.optString("subject");
        String optString2 = uZModuleContext.optString("body");
        try {
            this.a.startActivity(Intent.createChooser(com.deepe.c.a.d.a(com.uzmap.pkg.uzcore.external.e.a(optJSONArray2, new d.a() {
                /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass2 */

                @Override // com.deepe.c.i.d.a
                public String a(String str) {
                    String makeRealPath = c.this.a.makeRealPath(str);
                    if (!new File(makeRealPath).exists()) {
                        return null;
                    }
                    if (makeRealPath.startsWith("file://")) {
                        return makeRealPath;
                    }
                    return "file://" + makeRealPath;
                }
            }), com.uzmap.pkg.uzcore.external.e.a(optJSONArray), optString2, optString), com.deepe.b.Z));
        } catch (Exception unused) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_STATUS, false);
            uZModuleContext.error(null, eVar.a(), true);
        }
    }

    public void a(l lVar) {
        Intent intent;
        int i;
        UZModule uZModule;
        if (this.c == null) {
            i();
            int i2 = lVar.a;
            if (i2 != 0) {
                if (i2 == 1) {
                    this.c = lVar;
                    if (lVar.c == 1) {
                        intent = com.deepe.c.a.d.a(lVar.g, this.a.context(), null);
                        uZModule = this.a;
                        i = 20104;
                    } else if (!lVar.h || b((String) null, true)) {
                        this.d = a(lVar.h, lVar.k);
                        intent = com.deepe.c.a.d.a(this.a.context(), new File(this.d));
                        uZModule = this.a;
                        i = 20102;
                    } else {
                        return;
                    }
                    uZModule.startActivityForResult(intent, i);
                } else if (i2 != 2) {
                    return;
                }
            }
            if (b((String) null, true)) {
                this.c = lVar;
                intent = com.deepe.c.a.d.a(lVar.c);
                uZModule = this.a;
                i = 20103;
                uZModule.startActivityForResult(intent, i);
            }
        }
    }

    public void a(n nVar) {
        int a2 = com.uzmap.pkg.b.a.g.a(this.a.context()).a(nVar);
        if (nVar.b()) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a("id", a2);
            if (a2 < 0) {
                eVar.a(NotificationCompat.CATEGORY_MESSAGE, "Alarm Exception!");
            }
            if (a2 >= 0) {
                nVar.success(eVar.a(), true);
            } else {
                nVar.error(null, eVar.a(), true);
            }
        }
    }

    public void a(String str, boolean z) {
        if (!d.a((CharSequence) str)) {
            try {
                this.a.startActivity(com.deepe.c.a.d.a(str, z));
            } catch (ActivityNotFoundException e2) {
                e2.printStackTrace();
            }
        }
    }

    public boolean a(m mVar) {
        Context context = this.a.context();
        String optString = mVar.optString("uri");
        if (com.deepe.c.a.d.c(context, optString)) {
            return true;
        }
        String optString2 = mVar.optString("androidPkg");
        JSONObject optJSONObject = mVar.optJSONObject(UZOpenApi.APP_PARAM);
        Intent intent = new Intent("android.intent.action.MAIN");
        intent.setPackage(optString2);
        boolean callbackAble = mVar.callbackAble();
        if (UZCoreUtil.appExist(intent)) {
            Intent launchIntentForPackage = context.getPackageManager().getLaunchIntentForPackage(optString2);
            if (optJSONObject != null) {
                a(launchIntentForPackage, optJSONObject);
            }
            if (!d.a((CharSequence) optString)) {
                try {
                    launchIntentForPackage.setData(Uri.parse(optString));
                } catch (Exception unused) {
                }
            }
            launchIntentForPackage.setFlags(805306368);
            if (callbackAble) {
                try {
                    this.a.startActivityForResult(launchIntentForPackage, 20101);
                    this.c = mVar;
                } catch (Exception unused2) {
                    h.a(com.deepe.b.ac);
                    return false;
                }
            } else {
                this.a.startActivity(launchIntentForPackage);
            }
            return true;
        }
        String optString3 = mVar.optString("mimeType");
        if (d.a((CharSequence) optString2)) {
            optString2 = "android.intent.action.VIEW";
        }
        Intent intent2 = new Intent(optString2);
        if (!d.a((CharSequence) optString) && optString.startsWith("intent")) {
            try {
                intent2 = Intent.parseUri(optString, 0);
            } catch (URISyntaxException e2) {
                e2.printStackTrace();
            }
        } else if (d.a((CharSequence) optString) || d.a((CharSequence) optString3)) {
            if (!d.a((CharSequence) optString)) {
                intent2.setData(Uri.parse(optString));
            }
            if (!d.a((CharSequence) optString3)) {
                intent2.setType(optString3);
            }
        } else {
            intent2.setDataAndType(Uri.parse(optString), optString3);
        }
        if (optJSONObject != null) {
            a(intent2, optJSONObject);
        }
        if (intent2 == null || !UZCoreUtil.appExist(intent2)) {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put(NotificationCompat.CATEGORY_MESSAGE, com.deepe.b.ac);
                mVar.error(null, jSONObject, true);
            } catch (Exception unused3) {
            }
            return false;
        }
        intent2.setFlags(805306368);
        if (callbackAble) {
            this.a.startActivityForResult(intent2, 20101);
            this.c = mVar;
        } else {
            this.a.startActivity(intent2);
        }
        return true;
    }

    public void b() {
        f fVar = this.e;
        if (fVar != null) {
            fVar.b();
        }
    }

    /* access modifiers changed from: protected */
    public void b(int i, Intent intent) {
        String str;
        String str2;
        UZModuleContext uZModuleContext = this.c;
        if (uZModuleContext != null) {
            int i2 = 0;
            l lVar = (l) uZModuleContext;
            String str3 = "";
            if (-1 != i) {
                str2 = str3;
                str = str2;
            } else {
                if (lVar.c != 1) {
                    if (intent != null) {
                        str2 = intent.getDataString();
                        if (!d.a((CharSequence) str2)) {
                            str2 = x.a(str2, this.a.getWidgetInfo());
                        }
                        if (d.a((CharSequence) str2)) {
                            str2 = this.d;
                        }
                    } else {
                        str2 = this.d;
                        if (lVar.h) {
                            File file = new File(str2);
                            if (file.exists()) {
                                com.uzmap.pkg.uzcore.g.e.a(this.a.context(), Uri.fromFile(file));
                            }
                        }
                    }
                    int a2 = ac.a(str2);
                    if (lVar.a() || a2 > 0) {
                        str2 = a(str2, lVar, a2);
                    }
                    if (lVar.b()) {
                        str = UZUtility.bitmapToBase64(str2);
                    }
                } else {
                    String dataString = intent != null ? intent.getDataString() : this.d;
                    i2 = UZUtility.guessVideoDuration(dataString);
                    str2 = x.a(dataString, this.a.getWidgetInfo());
                }
                str = str3;
            }
            if (str2 != null) {
                str3 = str2;
            }
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(UZOpenApi.DATA, str3);
            eVar.a("base64Data", str);
            eVar.a("duration", i2 / 1000);
            lVar.success(eVar.a(), true);
            if (lVar.d() && this.d != null) {
                new File(this.d).delete();
            }
            this.d = null;
            this.c = null;
        }
    }

    public void b(UZModuleContext uZModuleContext) {
        if (!b((String) null, true)) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_STATUS, false);
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, "no storage permissions");
            uZModuleContext.success(eVar.a(), true);
            return;
        }
        String makeRealPath = this.a.makeRealPath(uZModuleContext.optString("path"));
        if (makeRealPath == null) {
            com.uzmap.pkg.uzcore.external.e eVar2 = new com.uzmap.pkg.uzcore.external.e();
            eVar2.a(NotificationCompat.CATEGORY_STATUS, false);
            eVar2.a(NotificationCompat.CATEGORY_MESSAGE, "path can not be empty");
            uZModuleContext.success(eVar2.a(), true);
            return;
        }
        new com.uzmap.pkg.uzcore.g.e(makeRealPath, uZModuleContext.optString(UZOpenApi.GROUP_NAME, null), uZModuleContext).start();
    }

    public void b(final m mVar) {
        String optString = mVar.optString("text");
        String[] a2 = com.uzmap.pkg.uzcore.external.e.a(mVar.optJSONArray("numbers"));
        if (!mVar.optBoolean("silent")) {
            String str = (a2 == null || a2.length <= 0) ? "" : a2[0];
            if (optString == null) {
                optString = "";
            }
            this.a.startActivityForResult(a.a(str, optString), 20106);
            this.c = mVar;
            return;
        }
        if (this.h == null) {
            this.h = new a(this.a.context());
        }
        a.b a3 = this.h.a(a2, optString, new a.AbstractC0046a() {
            /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass1 */

            @Override // com.deepe.f.b.a.AbstractC0046a
            public void a(a.b bVar) {
                com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
                eVar.a(NotificationCompat.CATEGORY_STATUS, bVar.a);
                eVar.a(NotificationCompat.CATEGORY_MESSAGE, bVar.b);
                mVar.success(eVar.a(), true);
            }
        });
        if (a3 != null) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_STATUS, a3.a);
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, a3.b);
            mVar.success(eVar.a(), true);
        }
    }

    public void b(n nVar) {
        com.uzmap.pkg.b.a.g.a(this.a.context()).a(nVar.optInt("id"));
    }

    public boolean b(String str, boolean z) {
        if (com.deepe.a.e.a.a(str)) {
            return true;
        }
        if (!z) {
            return false;
        }
        this.a.runOnUiThread(new Runnable() {
            /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass9 */

            public void run() {
                h.a(com.deepe.a.e.a.NO_PERMISSION.a());
            }
        });
        return false;
    }

    public void c() {
        UZModule uZModule = this.a;
        if (uZModule != null && this.g != null) {
            e.a(uZModule.context()).b(this.g);
            this.g = null;
        }
    }

    /* access modifiers changed from: protected */
    public void c(int i, Intent intent) {
        if (this.c != null) {
            b.a b2 = com.deepe.c.a.b.b(intent != null ? intent.getData() : null);
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_STATUS, b2.c);
            eVar.a("name", b2.a);
            eVar.a("phone", b2.b);
            this.c.success(eVar.a(), true);
            this.c = null;
        }
    }

    public void c(final m mVar) {
        if (this.b != null) {
            mVar.error(null, a(0, "picker has opened!"), true);
            return;
        }
        int a2 = b.a(mVar.optString("type"), 0);
        String optString = mVar.optString("title");
        long parseDateToMills = UZCoreUtil.parseDateToMills(mVar.optString("date"));
        Calendar instance = Calendar.getInstance();
        instance.setTimeInMillis(parseDateToMills);
        AlertDialog a3 = com.uzmap.pkg.uzcore.external.g.a(this.a.context(), a2, instance, new g.c() {
            /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass3 */

            @Override // com.uzmap.pkg.uzcore.external.g.c
            public void a(int i, int i2, int i3, int i4, int i5) {
                com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
                eVar.a("year", i);
                eVar.a("month", i2);
                eVar.a("day", i3);
                eVar.a("hour", i4);
                eVar.a("minute", i5);
                mVar.success(eVar.a(), true);
                c.this.b = null;
            }
        });
        a3.setOnDismissListener(new DialogInterface.OnDismissListener() {
            /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass4 */

            public void onDismiss(DialogInterface dialogInterface) {
                c.this.b = null;
            }
        });
        if (!d.a((CharSequence) optString)) {
            a3.setTitle(optString);
        }
        a3.show();
        this.b = a3;
    }

    public void d() {
        f fVar = this.e;
        if (fVar != null) {
            fVar.e();
            this.e = null;
        }
        j jVar = this.f;
        if (jVar != null) {
            jVar.a();
            this.f = null;
        }
        c();
        a aVar = this.h;
        if (aVar != null) {
            aVar.a();
            this.h = null;
        }
        this.c = null;
        this.d = null;
    }

    /* access modifiers changed from: protected */
    public void d(int i, Intent intent) {
        if (this.c != null) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            if (intent != null) {
                Bundle extras = intent.getExtras();
                if (extras != null) {
                    for (String str : extras.keySet()) {
                        Object obj = extras.get(str);
                        if (obj.getClass().isArray()) {
                            Object[] objArr = (Object[]) obj;
                            JSONArray jSONArray = new JSONArray();
                            for (Object obj2 : objArr) {
                                try {
                                    jSONArray.put(obj2);
                                } catch (Exception e2) {
                                    e2.printStackTrace();
                                }
                            }
                            eVar.a(str, jSONArray);
                        } else {
                            eVar.a(str, obj);
                        }
                    }
                }
                String dataString = intent.getDataString();
                if (dataString != null) {
                    eVar.a("uri", dataString);
                }
            }
            this.c.success(eVar.a(), true);
        }
        this.c = null;
    }

    public void d(m mVar) {
        if (this.c == null) {
            Intent a2 = com.deepe.c.a.d.a();
            if (!UZCoreUtil.appExist(a2)) {
                h.a("未找到通讯录程序!");
                return;
            }
            this.a.startActivityForResult(a2, 20105);
            this.c = mVar;
        }
    }

    public void e(m mVar) {
        String str;
        if (!com.deepe.c.f.c.d(mVar.getContext())) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, "no record permissions");
            mVar.error(eVar.a(), true);
            return;
        }
        String optString = mVar.optString("path");
        String optString2 = mVar.optString(Document.META_FORMAT, null);
        if (!d.a((CharSequence) optString)) {
            str = x.a(optString, this.a.getWidgetInfo());
            if (!b(str, true)) {
                return;
            }
        } else {
            str = a(optString2);
        }
        if (this.e == null) {
            this.e = new f(this.a.context());
        }
        this.e.a(str, optString2);
    }

    public void f(final m mVar) {
        if (!com.deepe.c.f.c.d(mVar.getContext())) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, "no record permissions");
            mVar.error(eVar.a(), true);
            return;
        }
        f fVar = this.e;
        if (fVar != null) {
            fVar.a(new f.b() {
                /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass5 */

                @Override // com.deepe.a.c.d.a
                public void a(boolean z, String str) {
                    if (z) {
                        String c = c.this.e.c();
                        int d = c.this.e.d();
                        com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
                        eVar.a("path", c);
                        eVar.a("duration", d);
                        mVar.success(eVar.a(), true);
                        return;
                    }
                    com.uzmap.pkg.uzcore.external.e eVar2 = new com.uzmap.pkg.uzcore.external.e();
                    eVar2.a(NotificationCompat.CATEGORY_MESSAGE, str);
                    mVar.error(eVar2.a(), true);
                }
            });
        }
    }

    public void g(final m mVar) {
        String optString = mVar.optString("path");
        if (!d.a((CharSequence) optString)) {
            String a2 = x.a(optString, this.a.getWidgetInfo());
            if (this.e == null) {
                this.e = new f(this.a.context());
            }
            this.e.a(new f.a() {
                /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass6 */

                @Override // com.deepe.a.c.b
                public void a(String str) {
                    com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
                    eVar.a(NotificationCompat.CATEGORY_MESSAGE, str);
                    mVar.error(null, eVar.a(), true);
                }

                @Override // com.deepe.a.c.b
                public void c() {
                    mVar.success(new com.uzmap.pkg.uzcore.external.e().a(), true);
                }
            });
            this.e.a(a2);
            return;
        }
        com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
        eVar.a(NotificationCompat.CATEGORY_STATUS, false);
        eVar.a(NotificationCompat.CATEGORY_MESSAGE, "path not valid");
        mVar.error(null, eVar.a(), true);
    }

    public void h(final m mVar) {
        if (this.a != null) {
            final boolean optBoolean = mVar.optBoolean("autoStop", true);
            c();
            this.g = new e.a() {
                /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass7 */

                @Override // com.uzmap.pkg.b.a.e.a
                public void a(com.uzmap.pkg.uzcore.external.e eVar) {
                    mVar.success(eVar.a(), optBoolean);
                }
            };
            e.a(this.a.context()).a(new e.c(b.a(mVar.optString("accuracy"), 0), (float) mVar.optDouble("filter"), optBoolean), this.g);
        }
    }

    public void i(final m mVar) {
        c();
        this.g = new e.a() {
            /* class com.uzmap.pkg.uzcore.uzmodule.a.c.AnonymousClass8 */

            @Override // com.uzmap.pkg.b.a.e.a
            public void a(com.uzmap.pkg.uzcore.external.e eVar) {
                mVar.success(eVar.a(), true);
            }
        };
        e.a(this.a.context()).a(this.g);
    }

    public void j(m mVar) {
        int a2 = b.a(mVar.optString("type"), 0);
        if (this.f == null) {
            this.f = new j();
        }
        if (!this.f.a(a2, -1, mVar)) {
            com.uzmap.pkg.uzcore.external.e eVar = new com.uzmap.pkg.uzcore.external.e();
            eVar.a(NotificationCompat.CATEGORY_STATUS, false);
            eVar.a(NotificationCompat.CATEGORY_MESSAGE, "Hardware did not supported!");
            mVar.error(null, eVar.a(), true);
        }
    }

    public void k(m mVar) {
        int a2 = b.a(mVar.optString("type"), 0);
        j jVar = this.f;
        if (jVar != null) {
            jVar.a(a2);
        }
    }
}
