package com.uzmap.pkg.uzkit.a;

import java.util.HashMap;
import org.json.JSONException;
import org.json.JSONTokener;

public class b extends JSONTokener {
    public static final HashMap<String, Object> a;

    static {
        HashMap<String, Object> hashMap = new HashMap<>(8);
        a = hashMap;
        hashMap.put("amp", a.b);
        a.put("apos", a.c);
        a.put("gt", a.f);
        a.put("lt", a.g);
        a.put("quot", a.i);
    }

    public b(String str) {
        super(str);
    }

    public Object a(char c) throws JSONException {
        char next;
        StringBuffer stringBuffer = new StringBuffer();
        while (true) {
            next = next();
            if (!Character.isLetterOrDigit(next) && next != '#') {
                break;
            }
            stringBuffer.append(Character.toLowerCase(next));
        }
        if (next == ';') {
            String stringBuffer2 = stringBuffer.toString();
            Object obj = a.get(stringBuffer2);
            if (obj != null) {
                return obj;
            }
            return String.valueOf(c) + stringBuffer2 + ";";
        }
        throw syntaxError("Missing ';' in XML entity: &" + ((Object) stringBuffer));
    }

    public String a() throws JSONException {
        StringBuffer stringBuffer = new StringBuffer();
        while (true) {
            char next = next();
            if (next != 0) {
                stringBuffer.append(next);
                int length = stringBuffer.length() - 3;
                if (length >= 0 && stringBuffer.charAt(length) == ']' && stringBuffer.charAt(length + 1) == ']' && stringBuffer.charAt(length + 2) == '>') {
                    stringBuffer.setLength(length);
                    return stringBuffer.toString();
                }
            } else {
                throw syntaxError("Unclosed CDATA");
            }
        }
    }

    public boolean a(String str) throws JSONException {
        boolean z;
        int length = str.length();
        char[] cArr = new char[length];
        for (int i = 0; i < length; i++) {
            char next = next();
            if (next == 0) {
                return false;
            }
            cArr[i] = next;
        }
        int i2 = 0;
        while (true) {
            int i3 = i2;
            int i4 = 0;
            while (true) {
                if (i4 >= length) {
                    z = true;
                    break;
                } else if (cArr[i3] != str.charAt(i4)) {
                    z = false;
                    break;
                } else {
                    i3++;
                    if (i3 >= length) {
                        i3 -= length;
                    }
                    i4++;
                }
            }
            if (z) {
                return true;
            }
            char next2 = next();
            if (next2 == 0) {
                return false;
            }
            cArr[i2] = next2;
            i2++;
            if (i2 >= length) {
                i2 -= length;
            }
        }
    }

    public Object b() throws JSONException {
        char next;
        do {
            next = next();
        } while (Character.isWhitespace(next));
        if (next == 0) {
            return null;
        }
        if (next == '<') {
            return a.g;
        }
        StringBuffer stringBuffer = new StringBuffer();
        while (next != '<' && next != 0) {
            if (next == '&') {
                stringBuffer.append(a(next));
            } else {
                stringBuffer.append(next);
            }
            next = next();
        }
        back();
        return stringBuffer.toString().trim();
    }

    public Object c() throws JSONException {
        char next;
        char next2;
        do {
            next = next();
        } while (Character.isWhitespace(next));
        if (next != 0) {
            if (next != '\'') {
                if (next == '/') {
                    return a.j;
                }
                if (next == '!') {
                    return a.d;
                }
                if (next != '\"') {
                    switch (next) {
                        case '<':
                            return a.g;
                        case '=':
                            return a.e;
                        case '>':
                            return a.f;
                        case '?':
                            return a.h;
                    }
                    while (true) {
                        char next3 = next();
                        if (Character.isWhitespace(next3)) {
                            return Boolean.TRUE;
                        }
                        if (next3 == 0 || next3 == '\'' || next3 == '/' || next3 == '!' || next3 == '\"') {
                            back();
                        } else {
                            switch (next3) {
                            }
                        }
                    }
                    back();
                    return Boolean.TRUE;
                }
            }
            do {
                next2 = next();
                if (next2 == 0) {
                    throw syntaxError("Unterminated string");
                }
            } while (next2 != next);
            return Boolean.TRUE;
        }
        throw syntaxError("Misshaped meta tag");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x005a, code lost:
        throw syntaxError("Bad character in a name");
     */
    public Object d() throws JSONException {
        char next;
        do {
            next = next();
        } while (Character.isWhitespace(next));
        if (next != 0) {
            if (next != '\'') {
                if (next == '/') {
                    return a.j;
                }
                if (next == '!') {
                    return a.d;
                }
                if (next != '\"') {
                    switch (next) {
                        case '<':
                            throw syntaxError("Misplaced '<'");
                        case '=':
                            return a.e;
                        case '>':
                            return a.f;
                        case '?':
                            return a.h;
                        default:
                            StringBuffer stringBuffer = new StringBuffer();
                            while (true) {
                                stringBuffer.append(next);
                                next = next();
                                if (Character.isWhitespace(next)) {
                                    return stringBuffer.toString();
                                }
                                if (next != 0) {
                                    if (next != '\'') {
                                        if (next != '/' && next != '[' && next != ']' && next != '!') {
                                            if (next == '\"') {
                                                break;
                                            } else {
                                                switch (next) {
                                                }
                                            }
                                        } else {
                                            back();
                                        }
                                    } else {
                                        break;
                                    }
                                } else {
                                    return stringBuffer.toString();
                                }
                            }
                            back();
                            return stringBuffer.toString();
                    }
                }
            }
            StringBuffer stringBuffer2 = new StringBuffer();
            while (true) {
                char next2 = next();
                if (next2 == 0) {
                    throw syntaxError("Unterminated string");
                } else if (next2 == next) {
                    return stringBuffer2.toString();
                } else {
                    if (next2 == '&') {
                        stringBuffer2.append(a(next2));
                    } else {
                        stringBuffer2.append(next2);
                    }
                }
            }
        } else {
            throw syntaxError("Misshaped element");
        }
    }
}
